
module DE5a_NET_QSYS (
	in_port_to_the_button,
	clk_50,
	reset_n,
	out_port_from_the_led,
	pmonitor_alert_external_connection_export,
	pmonitor_i2c_scl_external_connection_export,
	pmonitor_i2c_sda_external_connection_export,
	ref_clock_ddr3_count_clk_in_ref_export,
	ref_clock_ddr3_count_clk_in_target_export,
	ref_clock_pcie_count_clk_in_ref_export,
	ref_clock_pcie_count_clk_in_target_export,
	ref_clock_qdrii_count_clk_in_ref_export,
	ref_clock_qdrii_count_clk_in_target_export,
	ref_clock_qsfpa_count_clk_in_ref_export,
	ref_clock_qsfpa_count_clk_in_target_export,
	ref_clock_qsfpb_count_clk_in_ref_export,
	ref_clock_qsfpb_count_clk_in_target_export,
	ref_clock_qsfpc_count_clk_in_ref_export,
	ref_clock_qsfpc_count_clk_in_target_export,
	ref_clock_qsfpd_count_clk_in_ref_export,
	ref_clock_qsfpd_count_clk_in_target_export,
	si5340a_i2c_scl_external_connection_export,
	si5340a_i2c_sda_external_connection_export,
	si5340a_oe_n_external_connection_export,
	si5340a_rst_external_connection_export,
	si5340b_i2c_scl_external_connection_export,
	si5340b_i2c_sda_external_connection_export,
	si5340b_oe_n_external_connection_export,
	si5340b_rst_external_connection_export,
	sw_external_connection_export,
	in_port_to_the_temp_int_n,
	in_port_to_the_temp_overt_n,
	temp_scl_external_connection_export,
	temp_sda_external_connection_export);	

	input	[3:0]	in_port_to_the_button;
	input		clk_50;
	input		reset_n;
	output	[3:0]	out_port_from_the_led;
	input		pmonitor_alert_external_connection_export;
	output		pmonitor_i2c_scl_external_connection_export;
	inout		pmonitor_i2c_sda_external_connection_export;
	input		ref_clock_ddr3_count_clk_in_ref_export;
	input		ref_clock_ddr3_count_clk_in_target_export;
	input		ref_clock_pcie_count_clk_in_ref_export;
	input		ref_clock_pcie_count_clk_in_target_export;
	input		ref_clock_qdrii_count_clk_in_ref_export;
	input		ref_clock_qdrii_count_clk_in_target_export;
	input		ref_clock_qsfpa_count_clk_in_ref_export;
	input		ref_clock_qsfpa_count_clk_in_target_export;
	input		ref_clock_qsfpb_count_clk_in_ref_export;
	input		ref_clock_qsfpb_count_clk_in_target_export;
	input		ref_clock_qsfpc_count_clk_in_ref_export;
	input		ref_clock_qsfpc_count_clk_in_target_export;
	input		ref_clock_qsfpd_count_clk_in_ref_export;
	input		ref_clock_qsfpd_count_clk_in_target_export;
	output		si5340a_i2c_scl_external_connection_export;
	inout		si5340a_i2c_sda_external_connection_export;
	output		si5340a_oe_n_external_connection_export;
	output		si5340a_rst_external_connection_export;
	output		si5340b_i2c_scl_external_connection_export;
	inout		si5340b_i2c_sda_external_connection_export;
	output		si5340b_oe_n_external_connection_export;
	output		si5340b_rst_external_connection_export;
	input	[1:0]	sw_external_connection_export;
	input		in_port_to_the_temp_int_n;
	input		in_port_to_the_temp_overt_n;
	output		temp_scl_external_connection_export;
	inout		temp_sda_external_connection_export;
endmodule
