/*
 * si5340A_config.h
 *
 *  Created on: 2014/7/11
 *      Author: Richard
 */

#ifndef SI5340A_CONFIG_H_
#define SI5340A_CONFIG_H_
/////////REGA Address Value///////////////////////
#define	REGA_ADDR_PAGE      0x01
#define	REGA_ADDR_0018    	0x18
#define	REGA_ADDR_001C    	0x1C
#define	REGA_ADDR_0021     	0x21

#define	REGA_ADDR_0102     	0x02
#define	REGA_ADDR_0112     	0x12
#define	REGA_ADDR_0113     	0x13
#define	REGA_ADDR_0114     	0x14
#define	REGA_ADDR_0115     	0x15
#define	REGA_ADDR_0117     	0x17
#define	REGA_ADDR_0118      0x18
#define	REGA_ADDR_0119      0x19
#define	REGA_ADDR_011A      0x1A
#define	REGA_ADDR_0126     	0x26
#define	REGA_ADDR_0127      0x27
#define	REGA_ADDR_0128      0x28
#define	REGA_ADDR_0129      0x29
#define	REGA_ADDR_012B     	0x2B
#define	REGA_ADDR_012C     	0x2C
#define	REGA_ADDR_012D      0x2D
#define	REGA_ADDR_012E     	0x2E
#define	REGA_ADDR_0141     	0x41

#define	REGA_ADDR_0235	  	0x35
#define	REGA_ADDR_0236	  	0x36
#define	REGA_ADDR_0237	  	0x37
#define	REGA_ADDR_0238	  	0x38
#define	REGA_ADDR_0239	  	0x39
#define	REGA_ADDR_023A     	0x3A
#define	REGA_ADDR_023B	  	0x3B
#define	REGA_ADDR_023C	  	0x3C
#define	REGA_ADDR_023D	  	0x3D
#define	REGA_ADDR_023E	  	0x3E
#define	REGA_ADDR_023F	  	0x3F     // M_Update
#define	REGA_ADDR_0253      0x53
#define	REGA_ADDR_0254     	0x54
#define	REGA_ADDR_0255     	0x55
#define	REGA_ADDR_0256	  	0x56
#define	REGA_ADDR_0257	  	0x57
#define	REGA_ADDR_0258	    0x58
#define	REGA_ADDR_025F	  	0x5F
#define	REGA_ADDR_0260	  	0x60
#define	REGA_ADDR_0261	  	0x61
#define	REGA_ADDR_0262	  	0x62
#define	REGA_ADDR_0263	  	0x63
#define	REGA_ADDR_0264	  	0x64

#define	REGA_ADDR_0302	  	0x02
#define	REGA_ADDR_0303	  	0x03
#define	REGA_ADDR_0304	  	0x04
#define	REGA_ADDR_0305	  	0x05
#define	REGA_ADDR_0306	  	0x06
#define	REGA_ADDR_0307     	0x07
#define	REGA_ADDR_0308	  	0x08
#define	REGA_ADDR_0309	  	0x09
#define	REGA_ADDR_030A	  	0x0A
#define	REGA_ADDR_030B	  	0x0B
#define	REGA_ADDR_030C	  	0x0C    //N0_Update
#define	REGA_ADDR_030D	  	0x0D
#define	REGA_ADDR_030E	    0x0E
#define	REGA_ADDR_030F	  	0x0F
#define	REGA_ADDR_0310	  	0x10
#define	REGA_ADDR_0311	  	0x11
#define	REGA_ADDR_0312     	0x12
#define	REGA_ADDR_0313	  	0x13
#define	REGA_ADDR_0314	  	0x14
#define	REGA_ADDR_0315	    0x15
#define	REGA_ADDR_0316	  	0x16
#define	REGA_ADDR_0317	  	0x17    //N1_Update
#define	REGA_ADDR_0318	  	0x18
#define	REGA_ADDR_0319	  	0x19
#define	REGA_ADDR_031A	  	0x1A
#define	REGA_ADDR_031B	  	0x1B
#define	REGA_ADDR_031C	  	0x1C
#define	REGA_ADDR_031D     	0x1D
#define	REGA_ADDR_031E	  	0x1E
#define	REGA_ADDR_031F	  	0x1F
#define	REGA_ADDR_0320	  	0x20
#define	REGA_ADDR_0321	  	0x21
#define	REGA_ADDR_0322	  	0x22    //N2_Update
#define	REGA_ADDR_0323	  	0x23
#define	REGA_ADDR_0324	  	0x24
#define	REGA_ADDR_0325	    0x25
#define	REGA_ADDR_0326	  	0x26
#define	REGA_ADDR_0327	  	0x27
#define	REGA_ADDR_0328     	0x28
#define	REGA_ADDR_0329	  	0x29
#define	REGA_ADDR_032A	    0x2A
#define	REGA_ADDR_032B	  	0x2B
#define	REGA_ADDR_032C	  	0x2C
#define	REGA_ADDR_032D	  	0x2D    //N3_Update
#define	REGA_ADDR_0338	  	0x38    //N_Update
#define	REGA_ADDR_0339     	0x39

#define	REGA_ADDR_090E     	0x0E
#define	REGA_ADDR_091C     	0x1C
#define	REGA_ADDR_0943     	0x43
#define	REGA_ADDR_0949     	0x49
#define	REGA_ADDR_094A     	0x4A

#define	REGA_ADDR_0A02     	0x02
#define	REGA_ADDR_0A03     	0x03
#define	REGA_ADDR_0A04     	0x04
#define	REGA_ADDR_0A05     	0x05

#define	REGA_ADDR_0B44     	0x44
#define	REGA_ADDR_0B4A      0x4A

//////////////////////////////////////////////////
/////////REGA  Value///////////////////////////////
#define	REGA_0018     	0xFF                             // LOSIN_INTR_MSK---1     LOSFB_IN_INTR_MSK---1
#define	REGA_0021     	0x0F                             // IN_SEL_REGACTRL---1     IN_SEL---3 XA/XB

#define	REGA_0102     	0x01                             // OUTALL_DISABLE_LOW---1
//#define	REGA_0112     	{5'd0,1,OUT0_OE,0}
#define	REGA_0113     	0x09
#define	REGA_0114     	0x3E
#define	REGA_0115     	0x00//M0
//#define	REGA_0117     	{5'd0,0,OUT1_OE,0}
#define	REGA_0118       0x09
#define	REGA_0119       0x3E
#define	REGA_011A       0x01//N1
//#define	REGA_0126     	{5'd0,1,OUT2_OE,0}
#define	REGA_0127       0x09
#define	REGA_0128       0x3E
#define	REGA_0129       0x02//N2
//#define	REGA_012B     	{5'd0,1,OUT3_OE,0}
#define	REGA_012C     	0x09
#define	REGA_012D       0x3E
#define	REGA_012E     	0x03//N3
#define	REGA_0141     	0x40

//M=281.25
#define	REGA_0235	 	0x00
#define	REGA_0236	 	0x00
#define	REGA_0237	 	0x80
#define	REGA_0238	 	0xB4
#define	REGA_0239	 	0x93
#define	REGA_023A     	0x00//M_NUM=0x0093B4800000
#define	REGA_023B	 	0x00
#define	REGA_023C	 	0x00
#define	REGA_023D	 	0x00
#define	REGA_023E	 	0x80//M_DEN=0x80000000
/*
#define	REGA_0253     	R0_REG[7:0]
#define	REGA_0254     	R0_REG[15:8]
#define	REGA_0255     	R0_REG[23:16]
#define	REGA_0256	 	R1_REG[7:0]
#define	REGA_0257	 	R1_REG[15:8]
#define	REGA_0258	 	R1_REG[23:16]
#define	REGA_025F	 	R2_REG[7:0]
#define	REGA_0260	 	R2_REG[15:8]
#define	REGA_0261	 	R2_REG[23:16]
#define	REGA_0262	 	R3_REG[7:0]
#define	REGA_0263	 	R3_REG[15:8]
#define	REGA_0264	 	R3_REG[23:16]

#define	REGA_0302	 	N0_NUM[7:0]
#define	REGA_0303	 	N0_NUM[15:8]
#define	REGA_0304	 	N0_NUM[23:16]
#define	REGA_0305	 	N0_NUM[31:24]
#define	REGA_0306	 	N0_NUM[39:32]
#define	REGA_0307     	{4'd0,N0_NUM[43:40]}
#define	REGA_0308	  	N0_DEN[7:0]
#define	REGA_0309	   	N0_DEN[15:8]
#define	REGA_030A	   	N0_DEN[23:16]
#define	REGA_030B	   	N0_DEN[31:24]
#define	REGA_030D	   	N1_NUM[7:0]
#define	REGA_030E	   	N1_NUM[15:8]
#define	REGA_030F	   	N1_NUM[23:16]
#define	REGA_0310	   	N1_NUM[31:24]
#define	REGA_0311	   	N1_NUM[39:32]
#define	REGA_0312     	{4'd0,N1_NUM[43:40]}
#define	REGA_0313	   	N1_DEN[7:0]
#define	REGA_0314	   	N1_DEN[15:8]
#define	REGA_0315	   	N1_DEN[23:16]
#define	REGA_0316	   	N1_DEN[31:24]
#define	REGA_0318	   	N2_NUM[7:0]	;
#define	REGA_0319	   	N2_NUM[15:8]
#define	REGA_031A	   	N2_NUM[23:16]
#define	REGA_031B	   	N2_NUM[31:24]
#define	REGA_031C	   	N2_NUM[39:32]
#define	REGA_031D     	{4'd0,N2_NUM[43:40]}
#define	REGA_031E	   	N2_DEN[7:0]
#define	REGA_031F	   	N2_DEN[15:8]
#define	REGA_0320	   	N2_DEN[23:16]
#define	REGA_0321	   	N2_DEN[31:24]
#define	REGA_0323	   	N3_NUM[7:0]
#define	REGA_0324	   	N3_NUM[15:8]
#define	REGA_0325	   	N3_NUM[23:16]
#define	REGA_0326	   	N3_NUM[31:24]
#define	REGA_0327	   	N3_NUM[39:32]
#define	REGA_0328     	{4'd0,N3_NUM[43:40]}
#define	REGA_0329	   	N3_DEN[7:0]
#define	REGA_032A	   	N3_DEN[15:8]
#define	REGA_032B	   	N3_DEN[23:16]
#define	REGA_032C	   	N3_DEN[31:24]
#define	REGA_0339     	{3'd0,N3_NUM[4:0]}
*/

#define	REGA_090E     	0x02
#define	REGA_091C     	0x04
#define	REGA_0949     	0x08
#define	REGA_094A     	0x80

#define	REGA_0A03     	0x0F
#define	REGA_0A04     	0x00
#define	REGA_0A05     	0x0F

#define	REGA_0B44     	0x07
#define	REGA_0B4A     	0x00


#define SI5340A_DeviceAddr   0xEE



typedef enum{
	SI5340_100M = 0,
	SI5340_125M, 
	SI5340_156M25, 
	SI5340_250M,
	SI5340_312M5, 
	SI5340_322M265625,
	SI5340_644M53125,
	Not_Use,
}SI5340A_FREQ_ID;

bool SI5340A_Config(SI5340A_FREQ_ID FreqID0, SI5340A_FREQ_ID FreqID1,SI5340A_FREQ_ID FreqID2,SI5340A_FREQ_ID FreqID3);
bool SI5340A_w_reg(alt_u8 reg_index, alt_u8 data8);
bool SI5340A_Config_Init();





#endif /* SI57X_CONFIG_H_ */
