#**************************************************************
# This .sdc file is created by Terasic Tool.
# Users are recommended to modify this file to match users logic.
#**************************************************************

#**************************************************************
# Create Clock
#**************************************************************
create_clock -period "50.000000 MHz" [get_ports CLK_50_B2J]
create_clock -period "50.000000 MHz" [get_ports CLK_50_B2L]
create_clock -period "50.000000 MHz" [get_ports CLK_50_B3D]
create_clock -period "50.000000 MHz" [get_ports CLK_50_B3F]
create_clock -period "50.000000 MHz" [get_ports CLK_50_B3H]

create_clock -period "200.000000 MHz" [get_ports DDR3A_REFCLK_p]
create_clock -period "200.000000 MHz" [get_ports DDR3B_REFCLK_p]


#create_clock -period "266.667000 MHz" [get_ports DDR3A_REFCLK_p]
#create_clock -period "266.667000 MHz" [get_ports DDR3B_REFCLK_p]
#create_clock -period "250.000000 MHz" [get_ports QDRIIA_REFCLK_p]
#create_clock -period "250.000000 MHz" [get_ports QDRIIB_REFCLK_p]
#create_clock -period "250.000000 MHz" [get_ports QDRIIC_REFCLK_p]
#create_clock -period "250.000000 MHz" [get_ports QDRIID_REFCLK_p]
#create_clock -period "644.531200 MHz" [get_ports QSFPA_REFCLK_p]
#create_clock -period "644.531200 MHz" [get_ports QSFPB_REFCLK_p]
#create_clock -period "644.531200 MHz" [get_ports QSFPC_REFCLK_p]
#create_clock -period "644.531200 MHz" [get_ports QSFPD_REFCLK_p]

#**************************************************************
# Create Generated Clock
#**************************************************************
derive_pll_clocks



#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************
derive_clock_uncertainty



#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************

set_clock_groups -asynchronous -group [get_clocks { CLK_50_B3D }]
set_clock_groups -asynchronous -group [get_clocks { CLK_50_B2J}]
set_clock_groups -asynchronous -group [get_clocks { DDR3A_REFCLK_p }]
set_clock_groups -asynchronous -group [get_clocks { DDR3B_REFCLK_p}]

#**************************************************************
# Set False Path
#**************************************************************



#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************



#**************************************************************
# Set Load
#**************************************************************



