// nios_qsys.v

// Generated using ACDS version 15.1 185

`timescale 1 ps / 1 ps
module nios_qsys (
		input  wire [3:0]  button_external_connection_export,               //               button_external_connection.export
		input  wire        clk_clk,                                         //                                      clk.clk
		input  wire [3:0]  ddr3_status_external_connection_export,          //          ddr3_status_external_connection.export
		output wire [0:0]  emif_ddr3_b_mem_mem_ck,                          //                          emif_ddr3_b_mem.mem_ck
		output wire [0:0]  emif_ddr3_b_mem_mem_ck_n,                        //                                         .mem_ck_n
		output wire [13:0] emif_ddr3_b_mem_mem_a,                           //                                         .mem_a
		output wire [2:0]  emif_ddr3_b_mem_mem_ba,                          //                                         .mem_ba
		output wire [0:0]  emif_ddr3_b_mem_mem_cke,                         //                                         .mem_cke
		output wire [0:0]  emif_ddr3_b_mem_mem_cs_n,                        //                                         .mem_cs_n
		output wire [0:0]  emif_ddr3_b_mem_mem_odt,                         //                                         .mem_odt
		output wire [0:0]  emif_ddr3_b_mem_mem_reset_n,                     //                                         .mem_reset_n
		output wire [0:0]  emif_ddr3_b_mem_mem_we_n,                        //                                         .mem_we_n
		output wire [0:0]  emif_ddr3_b_mem_mem_ras_n,                       //                                         .mem_ras_n
		output wire [0:0]  emif_ddr3_b_mem_mem_cas_n,                       //                                         .mem_cas_n
		inout  wire [7:0]  emif_ddr3_b_mem_mem_dqs,                         //                                         .mem_dqs
		inout  wire [7:0]  emif_ddr3_b_mem_mem_dqs_n,                       //                                         .mem_dqs_n
		inout  wire [63:0] emif_ddr3_b_mem_mem_dq,                          //                                         .mem_dq
		output wire [7:0]  emif_ddr3_b_mem_mem_dm,                          //                                         .mem_dm
		input  wire        emif_ddr3_b_oct_oct_rzqin,                       //                          emif_ddr3_b_oct.oct_rzqin
		input  wire        emif_ddr3_b_pll_ref_clk_clk,                     //                  emif_ddr3_b_pll_ref_clk.clk
		output wire        emif_ddr3_b_status_local_cal_success,            //                       emif_ddr3_b_status.local_cal_success
		output wire        emif_ddr3_b_status_local_cal_fail,               //                                         .local_cal_fail
		output wire [0:0]  emif_ddr3_mem_mem_ck,                            //                            emif_ddr3_mem.mem_ck
		output wire [0:0]  emif_ddr3_mem_mem_ck_n,                          //                                         .mem_ck_n
		output wire [13:0] emif_ddr3_mem_mem_a,                             //                                         .mem_a
		output wire [2:0]  emif_ddr3_mem_mem_ba,                            //                                         .mem_ba
		output wire [0:0]  emif_ddr3_mem_mem_cke,                           //                                         .mem_cke
		output wire [0:0]  emif_ddr3_mem_mem_cs_n,                          //                                         .mem_cs_n
		output wire [0:0]  emif_ddr3_mem_mem_odt,                           //                                         .mem_odt
		output wire [0:0]  emif_ddr3_mem_mem_reset_n,                       //                                         .mem_reset_n
		output wire [0:0]  emif_ddr3_mem_mem_we_n,                          //                                         .mem_we_n
		output wire [0:0]  emif_ddr3_mem_mem_ras_n,                         //                                         .mem_ras_n
		output wire [0:0]  emif_ddr3_mem_mem_cas_n,                         //                                         .mem_cas_n
		inout  wire [7:0]  emif_ddr3_mem_mem_dqs,                           //                                         .mem_dqs
		inout  wire [7:0]  emif_ddr3_mem_mem_dqs_n,                         //                                         .mem_dqs_n
		inout  wire [63:0] emif_ddr3_mem_mem_dq,                            //                                         .mem_dq
		output wire [7:0]  emif_ddr3_mem_mem_dm,                            //                                         .mem_dm
		input  wire        emif_ddr3_oct_oct_rzqin,                         //                            emif_ddr3_oct.oct_rzqin
		input  wire        emif_ddr3_pll_ref_clk_clk,                       //                    emif_ddr3_pll_ref_clk.clk
		output wire        emif_ddr3_status_local_cal_success,              //                         emif_ddr3_status.local_cal_success
		output wire        emif_ddr3_status_local_cal_fail,                 //                                         .local_cal_fail
		output wire        reqeust_ddr3_reset_n_external_connection_export, // reqeust_ddr3_reset_n_external_connection.export
		input  wire        reset_reset_n,                                   //                                    reset.reset_n
		input  wire        reset_bridge_ddr3_reset_n_in_reset_reset_n       //       reset_bridge_ddr3_reset_n_in_reset.reset_n
	);

	wire          emif_ddr3_emif_usr_clk_clk;                                         // emif_ddr3:emif_usr_clk -> [mm_clock_crossing_bridge_ddr3:m0_clk, mm_interconnect_1:emif_ddr3_emif_usr_clk_clk, rst_controller_003:clk, rst_controller_007:clk]
	wire          emif_ddr3_b_emif_usr_clk_clk;                                       // emif_ddr3_b:emif_usr_clk -> [mm_clock_crossing_bridge_ddr3_b:m0_clk, mm_interconnect_2:emif_ddr3_b_emif_usr_clk_clk, rst_controller_005:clk, rst_controller_008:clk]
	wire          iopll_sys_outclk0_clk;                                              // iopll_sys:outclk_0 -> [irq_mapper:clk, irq_synchronizer:sender_clk, irq_synchronizer_001:sender_clk, irq_synchronizer_002:sender_clk, mm_clock_crossing_bridge_ddr3:s0_clk, mm_clock_crossing_bridge_ddr3_b:s0_clk, mm_clock_crossing_bridge_io:s0_clk, mm_interconnect_0:iopll_sys_outclk0_clk, nios2_gen:clk, onchip_memory2:clk, rst_controller_004:clk, rst_controller_006:clk]
	wire   [31:0] nios2_gen_data_master_readdata;                                     // mm_interconnect_0:nios2_gen_data_master_readdata -> nios2_gen:d_readdata
	wire          nios2_gen_data_master_waitrequest;                                  // mm_interconnect_0:nios2_gen_data_master_waitrequest -> nios2_gen:d_waitrequest
	wire          nios2_gen_data_master_debugaccess;                                  // nios2_gen:debug_mem_slave_debugaccess_to_roms -> mm_interconnect_0:nios2_gen_data_master_debugaccess
	wire   [31:0] nios2_gen_data_master_address;                                      // nios2_gen:d_address -> mm_interconnect_0:nios2_gen_data_master_address
	wire    [3:0] nios2_gen_data_master_byteenable;                                   // nios2_gen:d_byteenable -> mm_interconnect_0:nios2_gen_data_master_byteenable
	wire          nios2_gen_data_master_read;                                         // nios2_gen:d_read -> mm_interconnect_0:nios2_gen_data_master_read
	wire          nios2_gen_data_master_readdatavalid;                                // mm_interconnect_0:nios2_gen_data_master_readdatavalid -> nios2_gen:d_readdatavalid
	wire          nios2_gen_data_master_write;                                        // nios2_gen:d_write -> mm_interconnect_0:nios2_gen_data_master_write
	wire   [31:0] nios2_gen_data_master_writedata;                                    // nios2_gen:d_writedata -> mm_interconnect_0:nios2_gen_data_master_writedata
	wire   [31:0] nios2_gen_instruction_master_readdata;                              // mm_interconnect_0:nios2_gen_instruction_master_readdata -> nios2_gen:i_readdata
	wire          nios2_gen_instruction_master_waitrequest;                           // mm_interconnect_0:nios2_gen_instruction_master_waitrequest -> nios2_gen:i_waitrequest
	wire   [18:0] nios2_gen_instruction_master_address;                               // nios2_gen:i_address -> mm_interconnect_0:nios2_gen_instruction_master_address
	wire          nios2_gen_instruction_master_read;                                  // nios2_gen:i_read -> mm_interconnect_0:nios2_gen_instruction_master_read
	wire          nios2_gen_instruction_master_readdatavalid;                         // mm_interconnect_0:nios2_gen_instruction_master_readdatavalid -> nios2_gen:i_readdatavalid
	wire          mm_clock_crossing_bridge_io_m0_waitrequest;                         // mm_interconnect_0:mm_clock_crossing_bridge_io_m0_waitrequest -> mm_clock_crossing_bridge_io:m0_waitrequest
	wire   [31:0] mm_clock_crossing_bridge_io_m0_readdata;                            // mm_interconnect_0:mm_clock_crossing_bridge_io_m0_readdata -> mm_clock_crossing_bridge_io:m0_readdata
	wire          mm_clock_crossing_bridge_io_m0_debugaccess;                         // mm_clock_crossing_bridge_io:m0_debugaccess -> mm_interconnect_0:mm_clock_crossing_bridge_io_m0_debugaccess
	wire    [9:0] mm_clock_crossing_bridge_io_m0_address;                             // mm_clock_crossing_bridge_io:m0_address -> mm_interconnect_0:mm_clock_crossing_bridge_io_m0_address
	wire          mm_clock_crossing_bridge_io_m0_read;                                // mm_clock_crossing_bridge_io:m0_read -> mm_interconnect_0:mm_clock_crossing_bridge_io_m0_read
	wire    [3:0] mm_clock_crossing_bridge_io_m0_byteenable;                          // mm_clock_crossing_bridge_io:m0_byteenable -> mm_interconnect_0:mm_clock_crossing_bridge_io_m0_byteenable
	wire          mm_clock_crossing_bridge_io_m0_readdatavalid;                       // mm_interconnect_0:mm_clock_crossing_bridge_io_m0_readdatavalid -> mm_clock_crossing_bridge_io:m0_readdatavalid
	wire   [31:0] mm_clock_crossing_bridge_io_m0_writedata;                           // mm_clock_crossing_bridge_io:m0_writedata -> mm_interconnect_0:mm_clock_crossing_bridge_io_m0_writedata
	wire          mm_clock_crossing_bridge_io_m0_write;                               // mm_clock_crossing_bridge_io:m0_write -> mm_interconnect_0:mm_clock_crossing_bridge_io_m0_write
	wire    [0:0] mm_clock_crossing_bridge_io_m0_burstcount;                          // mm_clock_crossing_bridge_io:m0_burstcount -> mm_interconnect_0:mm_clock_crossing_bridge_io_m0_burstcount
	wire   [31:0] mm_interconnect_0_nios2_gen_debug_mem_slave_readdata;               // nios2_gen:debug_mem_slave_readdata -> mm_interconnect_0:nios2_gen_debug_mem_slave_readdata
	wire          mm_interconnect_0_nios2_gen_debug_mem_slave_waitrequest;            // nios2_gen:debug_mem_slave_waitrequest -> mm_interconnect_0:nios2_gen_debug_mem_slave_waitrequest
	wire          mm_interconnect_0_nios2_gen_debug_mem_slave_debugaccess;            // mm_interconnect_0:nios2_gen_debug_mem_slave_debugaccess -> nios2_gen:debug_mem_slave_debugaccess
	wire    [8:0] mm_interconnect_0_nios2_gen_debug_mem_slave_address;                // mm_interconnect_0:nios2_gen_debug_mem_slave_address -> nios2_gen:debug_mem_slave_address
	wire          mm_interconnect_0_nios2_gen_debug_mem_slave_read;                   // mm_interconnect_0:nios2_gen_debug_mem_slave_read -> nios2_gen:debug_mem_slave_read
	wire    [3:0] mm_interconnect_0_nios2_gen_debug_mem_slave_byteenable;             // mm_interconnect_0:nios2_gen_debug_mem_slave_byteenable -> nios2_gen:debug_mem_slave_byteenable
	wire          mm_interconnect_0_nios2_gen_debug_mem_slave_write;                  // mm_interconnect_0:nios2_gen_debug_mem_slave_write -> nios2_gen:debug_mem_slave_write
	wire   [31:0] mm_interconnect_0_nios2_gen_debug_mem_slave_writedata;              // mm_interconnect_0:nios2_gen_debug_mem_slave_writedata -> nios2_gen:debug_mem_slave_writedata
	wire   [31:0] mm_interconnect_0_mm_clock_crossing_bridge_io_s0_readdata;          // mm_clock_crossing_bridge_io:s0_readdata -> mm_interconnect_0:mm_clock_crossing_bridge_io_s0_readdata
	wire          mm_interconnect_0_mm_clock_crossing_bridge_io_s0_waitrequest;       // mm_clock_crossing_bridge_io:s0_waitrequest -> mm_interconnect_0:mm_clock_crossing_bridge_io_s0_waitrequest
	wire          mm_interconnect_0_mm_clock_crossing_bridge_io_s0_debugaccess;       // mm_interconnect_0:mm_clock_crossing_bridge_io_s0_debugaccess -> mm_clock_crossing_bridge_io:s0_debugaccess
	wire    [9:0] mm_interconnect_0_mm_clock_crossing_bridge_io_s0_address;           // mm_interconnect_0:mm_clock_crossing_bridge_io_s0_address -> mm_clock_crossing_bridge_io:s0_address
	wire          mm_interconnect_0_mm_clock_crossing_bridge_io_s0_read;              // mm_interconnect_0:mm_clock_crossing_bridge_io_s0_read -> mm_clock_crossing_bridge_io:s0_read
	wire    [3:0] mm_interconnect_0_mm_clock_crossing_bridge_io_s0_byteenable;        // mm_interconnect_0:mm_clock_crossing_bridge_io_s0_byteenable -> mm_clock_crossing_bridge_io:s0_byteenable
	wire          mm_interconnect_0_mm_clock_crossing_bridge_io_s0_readdatavalid;     // mm_clock_crossing_bridge_io:s0_readdatavalid -> mm_interconnect_0:mm_clock_crossing_bridge_io_s0_readdatavalid
	wire          mm_interconnect_0_mm_clock_crossing_bridge_io_s0_write;             // mm_interconnect_0:mm_clock_crossing_bridge_io_s0_write -> mm_clock_crossing_bridge_io:s0_write
	wire   [31:0] mm_interconnect_0_mm_clock_crossing_bridge_io_s0_writedata;         // mm_interconnect_0:mm_clock_crossing_bridge_io_s0_writedata -> mm_clock_crossing_bridge_io:s0_writedata
	wire    [0:0] mm_interconnect_0_mm_clock_crossing_bridge_io_s0_burstcount;        // mm_interconnect_0:mm_clock_crossing_bridge_io_s0_burstcount -> mm_clock_crossing_bridge_io:s0_burstcount
	wire   [31:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_readdata;        // mm_clock_crossing_bridge_ddr3:s0_readdata -> mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_readdata
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_waitrequest;     // mm_clock_crossing_bridge_ddr3:s0_waitrequest -> mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_waitrequest
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_debugaccess;     // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_debugaccess -> mm_clock_crossing_bridge_ddr3:s0_debugaccess
	wire   [29:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_address;         // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_address -> mm_clock_crossing_bridge_ddr3:s0_address
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_read;            // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_read -> mm_clock_crossing_bridge_ddr3:s0_read
	wire    [3:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_byteenable;      // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_byteenable -> mm_clock_crossing_bridge_ddr3:s0_byteenable
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_readdatavalid;   // mm_clock_crossing_bridge_ddr3:s0_readdatavalid -> mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_readdatavalid
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_write;           // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_write -> mm_clock_crossing_bridge_ddr3:s0_write
	wire   [31:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_writedata;       // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_writedata -> mm_clock_crossing_bridge_ddr3:s0_writedata
	wire    [0:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_burstcount;      // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_s0_burstcount -> mm_clock_crossing_bridge_ddr3:s0_burstcount
	wire   [31:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_readdata;      // mm_clock_crossing_bridge_ddr3_b:s0_readdata -> mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_readdata
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_waitrequest;   // mm_clock_crossing_bridge_ddr3_b:s0_waitrequest -> mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_waitrequest
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_debugaccess;   // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_debugaccess -> mm_clock_crossing_bridge_ddr3_b:s0_debugaccess
	wire   [29:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_address;       // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_address -> mm_clock_crossing_bridge_ddr3_b:s0_address
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_read;          // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_read -> mm_clock_crossing_bridge_ddr3_b:s0_read
	wire    [3:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_byteenable;    // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_byteenable -> mm_clock_crossing_bridge_ddr3_b:s0_byteenable
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_readdatavalid; // mm_clock_crossing_bridge_ddr3_b:s0_readdatavalid -> mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_readdatavalid
	wire          mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_write;         // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_write -> mm_clock_crossing_bridge_ddr3_b:s0_write
	wire   [31:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_writedata;     // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_writedata -> mm_clock_crossing_bridge_ddr3_b:s0_writedata
	wire    [0:0] mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_burstcount;    // mm_interconnect_0:mm_clock_crossing_bridge_ddr3_b_s0_burstcount -> mm_clock_crossing_bridge_ddr3_b:s0_burstcount
	wire          mm_interconnect_0_onchip_memory2_s1_chipselect;                     // mm_interconnect_0:onchip_memory2_s1_chipselect -> onchip_memory2:chipselect
	wire   [31:0] mm_interconnect_0_onchip_memory2_s1_readdata;                       // onchip_memory2:readdata -> mm_interconnect_0:onchip_memory2_s1_readdata
	wire   [14:0] mm_interconnect_0_onchip_memory2_s1_address;                        // mm_interconnect_0:onchip_memory2_s1_address -> onchip_memory2:address
	wire    [3:0] mm_interconnect_0_onchip_memory2_s1_byteenable;                     // mm_interconnect_0:onchip_memory2_s1_byteenable -> onchip_memory2:byteenable
	wire          mm_interconnect_0_onchip_memory2_s1_write;                          // mm_interconnect_0:onchip_memory2_s1_write -> onchip_memory2:write
	wire   [31:0] mm_interconnect_0_onchip_memory2_s1_writedata;                      // mm_interconnect_0:onchip_memory2_s1_writedata -> onchip_memory2:writedata
	wire          mm_interconnect_0_onchip_memory2_s1_clken;                          // mm_interconnect_0:onchip_memory2_s1_clken -> onchip_memory2:clken
	wire   [31:0] mm_interconnect_0_ddr3_status_s1_readdata;                          // ddr3_status:readdata -> mm_interconnect_0:ddr3_status_s1_readdata
	wire    [1:0] mm_interconnect_0_ddr3_status_s1_address;                           // mm_interconnect_0:ddr3_status_s1_address -> ddr3_status:address
	wire          mm_interconnect_0_button_s1_chipselect;                             // mm_interconnect_0:button_s1_chipselect -> button:chipselect
	wire   [31:0] mm_interconnect_0_button_s1_readdata;                               // button:readdata -> mm_interconnect_0:button_s1_readdata
	wire    [1:0] mm_interconnect_0_button_s1_address;                                // mm_interconnect_0:button_s1_address -> button:address
	wire          mm_interconnect_0_button_s1_write;                                  // mm_interconnect_0:button_s1_write -> button:write_n
	wire   [31:0] mm_interconnect_0_button_s1_writedata;                              // mm_interconnect_0:button_s1_writedata -> button:writedata
	wire          mm_interconnect_0_jtag_uar_avalon_jtag_slave_chipselect;            // mm_interconnect_0:jtag_uar_avalon_jtag_slave_chipselect -> jtag_uar:av_chipselect
	wire   [31:0] mm_interconnect_0_jtag_uar_avalon_jtag_slave_readdata;              // jtag_uar:av_readdata -> mm_interconnect_0:jtag_uar_avalon_jtag_slave_readdata
	wire          mm_interconnect_0_jtag_uar_avalon_jtag_slave_waitrequest;           // jtag_uar:av_waitrequest -> mm_interconnect_0:jtag_uar_avalon_jtag_slave_waitrequest
	wire    [0:0] mm_interconnect_0_jtag_uar_avalon_jtag_slave_address;               // mm_interconnect_0:jtag_uar_avalon_jtag_slave_address -> jtag_uar:av_address
	wire          mm_interconnect_0_jtag_uar_avalon_jtag_slave_read;                  // mm_interconnect_0:jtag_uar_avalon_jtag_slave_read -> jtag_uar:av_read_n
	wire          mm_interconnect_0_jtag_uar_avalon_jtag_slave_write;                 // mm_interconnect_0:jtag_uar_avalon_jtag_slave_write -> jtag_uar:av_write_n
	wire   [31:0] mm_interconnect_0_jtag_uar_avalon_jtag_slave_writedata;             // mm_interconnect_0:jtag_uar_avalon_jtag_slave_writedata -> jtag_uar:av_writedata
	wire   [31:0] mm_interconnect_0_sysid_qsy_control_slave_readdata;                 // sysid_qsy:readdata -> mm_interconnect_0:sysid_qsy_control_slave_readdata
	wire    [0:0] mm_interconnect_0_sysid_qsy_control_slave_address;                  // mm_interconnect_0:sysid_qsy_control_slave_address -> sysid_qsy:address
	wire          mm_interconnect_0_timer_s1_chipselect;                              // mm_interconnect_0:timer_s1_chipselect -> timer:chipselect
	wire   [15:0] mm_interconnect_0_timer_s1_readdata;                                // timer:readdata -> mm_interconnect_0:timer_s1_readdata
	wire    [2:0] mm_interconnect_0_timer_s1_address;                                 // mm_interconnect_0:timer_s1_address -> timer:address
	wire          mm_interconnect_0_timer_s1_write;                                   // mm_interconnect_0:timer_s1_write -> timer:write_n
	wire   [15:0] mm_interconnect_0_timer_s1_writedata;                               // mm_interconnect_0:timer_s1_writedata -> timer:writedata
	wire          mm_interconnect_0_reqeust_ddr3_reset_n_s1_chipselect;               // mm_interconnect_0:reqeust_ddr3_reset_n_s1_chipselect -> reqeust_ddr3_reset_n:chipselect
	wire   [31:0] mm_interconnect_0_reqeust_ddr3_reset_n_s1_readdata;                 // reqeust_ddr3_reset_n:readdata -> mm_interconnect_0:reqeust_ddr3_reset_n_s1_readdata
	wire    [1:0] mm_interconnect_0_reqeust_ddr3_reset_n_s1_address;                  // mm_interconnect_0:reqeust_ddr3_reset_n_s1_address -> reqeust_ddr3_reset_n:address
	wire          mm_interconnect_0_reqeust_ddr3_reset_n_s1_write;                    // mm_interconnect_0:reqeust_ddr3_reset_n_s1_write -> reqeust_ddr3_reset_n:write_n
	wire   [31:0] mm_interconnect_0_reqeust_ddr3_reset_n_s1_writedata;                // mm_interconnect_0:reqeust_ddr3_reset_n_s1_writedata -> reqeust_ddr3_reset_n:writedata
	wire          mm_clock_crossing_bridge_ddr3_m0_waitrequest;                       // mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_waitrequest -> mm_clock_crossing_bridge_ddr3:m0_waitrequest
	wire   [31:0] mm_clock_crossing_bridge_ddr3_m0_readdata;                          // mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_readdata -> mm_clock_crossing_bridge_ddr3:m0_readdata
	wire          mm_clock_crossing_bridge_ddr3_m0_debugaccess;                       // mm_clock_crossing_bridge_ddr3:m0_debugaccess -> mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_debugaccess
	wire   [29:0] mm_clock_crossing_bridge_ddr3_m0_address;                           // mm_clock_crossing_bridge_ddr3:m0_address -> mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_address
	wire          mm_clock_crossing_bridge_ddr3_m0_read;                              // mm_clock_crossing_bridge_ddr3:m0_read -> mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_read
	wire    [3:0] mm_clock_crossing_bridge_ddr3_m0_byteenable;                        // mm_clock_crossing_bridge_ddr3:m0_byteenable -> mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_byteenable
	wire          mm_clock_crossing_bridge_ddr3_m0_readdatavalid;                     // mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_readdatavalid -> mm_clock_crossing_bridge_ddr3:m0_readdatavalid
	wire   [31:0] mm_clock_crossing_bridge_ddr3_m0_writedata;                         // mm_clock_crossing_bridge_ddr3:m0_writedata -> mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_writedata
	wire          mm_clock_crossing_bridge_ddr3_m0_write;                             // mm_clock_crossing_bridge_ddr3:m0_write -> mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_write
	wire    [0:0] mm_clock_crossing_bridge_ddr3_m0_burstcount;                        // mm_clock_crossing_bridge_ddr3:m0_burstcount -> mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_burstcount
	wire  [511:0] mm_interconnect_1_emif_ddr3_ctrl_amm_0_readdata;                    // emif_ddr3:amm_readdata_0 -> mm_interconnect_1:emif_ddr3_ctrl_amm_0_readdata
	wire          mm_interconnect_1_emif_ddr3_ctrl_amm_0_waitrequest;                 // emif_ddr3:amm_ready_0 -> mm_interconnect_1:emif_ddr3_ctrl_amm_0_waitrequest
	wire   [23:0] mm_interconnect_1_emif_ddr3_ctrl_amm_0_address;                     // mm_interconnect_1:emif_ddr3_ctrl_amm_0_address -> emif_ddr3:amm_address_0
	wire          mm_interconnect_1_emif_ddr3_ctrl_amm_0_read;                        // mm_interconnect_1:emif_ddr3_ctrl_amm_0_read -> emif_ddr3:amm_read_0
	wire   [63:0] mm_interconnect_1_emif_ddr3_ctrl_amm_0_byteenable;                  // mm_interconnect_1:emif_ddr3_ctrl_amm_0_byteenable -> emif_ddr3:amm_byteenable_0
	wire          mm_interconnect_1_emif_ddr3_ctrl_amm_0_readdatavalid;               // emif_ddr3:amm_readdatavalid_0 -> mm_interconnect_1:emif_ddr3_ctrl_amm_0_readdatavalid
	wire          mm_interconnect_1_emif_ddr3_ctrl_amm_0_write;                       // mm_interconnect_1:emif_ddr3_ctrl_amm_0_write -> emif_ddr3:amm_write_0
	wire  [511:0] mm_interconnect_1_emif_ddr3_ctrl_amm_0_writedata;                   // mm_interconnect_1:emif_ddr3_ctrl_amm_0_writedata -> emif_ddr3:amm_writedata_0
	wire    [6:0] mm_interconnect_1_emif_ddr3_ctrl_amm_0_burstcount;                  // mm_interconnect_1:emif_ddr3_ctrl_amm_0_burstcount -> emif_ddr3:amm_burstcount_0
	wire          mm_clock_crossing_bridge_ddr3_b_m0_waitrequest;                     // mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_waitrequest -> mm_clock_crossing_bridge_ddr3_b:m0_waitrequest
	wire   [31:0] mm_clock_crossing_bridge_ddr3_b_m0_readdata;                        // mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_readdata -> mm_clock_crossing_bridge_ddr3_b:m0_readdata
	wire          mm_clock_crossing_bridge_ddr3_b_m0_debugaccess;                     // mm_clock_crossing_bridge_ddr3_b:m0_debugaccess -> mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_debugaccess
	wire   [29:0] mm_clock_crossing_bridge_ddr3_b_m0_address;                         // mm_clock_crossing_bridge_ddr3_b:m0_address -> mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_address
	wire          mm_clock_crossing_bridge_ddr3_b_m0_read;                            // mm_clock_crossing_bridge_ddr3_b:m0_read -> mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_read
	wire    [3:0] mm_clock_crossing_bridge_ddr3_b_m0_byteenable;                      // mm_clock_crossing_bridge_ddr3_b:m0_byteenable -> mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_byteenable
	wire          mm_clock_crossing_bridge_ddr3_b_m0_readdatavalid;                   // mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_readdatavalid -> mm_clock_crossing_bridge_ddr3_b:m0_readdatavalid
	wire   [31:0] mm_clock_crossing_bridge_ddr3_b_m0_writedata;                       // mm_clock_crossing_bridge_ddr3_b:m0_writedata -> mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_writedata
	wire          mm_clock_crossing_bridge_ddr3_b_m0_write;                           // mm_clock_crossing_bridge_ddr3_b:m0_write -> mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_write
	wire    [0:0] mm_clock_crossing_bridge_ddr3_b_m0_burstcount;                      // mm_clock_crossing_bridge_ddr3_b:m0_burstcount -> mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_burstcount
	wire  [511:0] mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_readdata;                  // emif_ddr3_b:amm_readdata_0 -> mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_readdata
	wire          mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_waitrequest;               // emif_ddr3_b:amm_ready_0 -> mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_waitrequest
	wire   [23:0] mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_address;                   // mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_address -> emif_ddr3_b:amm_address_0
	wire          mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_read;                      // mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_read -> emif_ddr3_b:amm_read_0
	wire   [63:0] mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_byteenable;                // mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_byteenable -> emif_ddr3_b:amm_byteenable_0
	wire          mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_readdatavalid;             // emif_ddr3_b:amm_readdatavalid_0 -> mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_readdatavalid
	wire          mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_write;                     // mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_write -> emif_ddr3_b:amm_write_0
	wire  [511:0] mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_writedata;                 // mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_writedata -> emif_ddr3_b:amm_writedata_0
	wire    [6:0] mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_burstcount;                // mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_burstcount -> emif_ddr3_b:amm_burstcount_0
	wire   [31:0] nios2_gen_irq_irq;                                                  // irq_mapper:sender_irq -> nios2_gen:irq
	wire          irq_mapper_receiver0_irq;                                           // irq_synchronizer:sender_irq -> irq_mapper:receiver0_irq
	wire    [0:0] irq_synchronizer_receiver_irq;                                      // jtag_uar:av_irq -> irq_synchronizer:receiver_irq
	wire          irq_mapper_receiver1_irq;                                           // irq_synchronizer_001:sender_irq -> irq_mapper:receiver1_irq
	wire    [0:0] irq_synchronizer_001_receiver_irq;                                  // timer:irq -> irq_synchronizer_001:receiver_irq
	wire          irq_mapper_receiver2_irq;                                           // irq_synchronizer_002:sender_irq -> irq_mapper:receiver2_irq
	wire    [0:0] irq_synchronizer_002_receiver_irq;                                  // button:irq -> irq_synchronizer_002:receiver_irq
	wire          rst_controller_reset_out_reset;                                     // rst_controller:reset_out -> [button:reset_n, ddr3_status:reset_n, irq_synchronizer:receiver_reset, irq_synchronizer_001:receiver_reset, irq_synchronizer_002:receiver_reset, jtag_uar:rst_n, mm_clock_crossing_bridge_io:m0_reset, mm_interconnect_0:mm_clock_crossing_bridge_io_m0_reset_reset_bridge_in_reset_reset, reqeust_ddr3_reset_n:reset_n, sysid_qsy:reset_n, timer:reset_n]
	wire          rst_controller_001_reset_out_reset;                                 // rst_controller_001:reset_out -> emif_ddr3:global_reset_n
	wire          rst_controller_002_reset_out_reset;                                 // rst_controller_002:reset_out -> emif_ddr3_b:global_reset_n
	wire          rst_controller_003_reset_out_reset;                                 // rst_controller_003:reset_out -> [mm_clock_crossing_bridge_ddr3:m0_reset, mm_interconnect_1:mm_clock_crossing_bridge_ddr3_m0_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_004_reset_out_reset;                                 // rst_controller_004:reset_out -> [mm_clock_crossing_bridge_ddr3:s0_reset, mm_clock_crossing_bridge_ddr3_b:s0_reset, mm_clock_crossing_bridge_io:s0_reset, mm_interconnect_0:mm_clock_crossing_bridge_io_s0_reset_reset_bridge_in_reset_reset, onchip_memory2:reset, rst_translator:in_reset]
	wire          rst_controller_004_reset_out_reset_req;                             // rst_controller_004:reset_req -> [onchip_memory2:reset_req, rst_translator:reset_req_in]
	wire          rst_controller_005_reset_out_reset;                                 // rst_controller_005:reset_out -> [mm_clock_crossing_bridge_ddr3_b:m0_reset, mm_interconnect_2:mm_clock_crossing_bridge_ddr3_b_m0_reset_reset_bridge_in_reset_reset]
	wire          rst_controller_006_reset_out_reset;                                 // rst_controller_006:reset_out -> [irq_mapper:reset, irq_synchronizer:sender_reset, irq_synchronizer_001:sender_reset, irq_synchronizer_002:sender_reset, mm_interconnect_0:nios2_gen_reset_reset_bridge_in_reset_reset, nios2_gen:reset_n, rst_translator_001:in_reset]
	wire          rst_controller_006_reset_out_reset_req;                             // rst_controller_006:reset_req -> [nios2_gen:reset_req, rst_translator_001:reset_req_in]
	wire          nios2_gen_debug_reset_request_reset;                                // nios2_gen:debug_reset_request -> rst_controller_006:reset_in1
	wire          rst_controller_007_reset_out_reset;                                 // rst_controller_007:reset_out -> [mm_interconnect_1:emif_ddr3_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_1:emif_ddr3_global_reset_n_reset_bridge_in_reset_reset]
	wire          rst_controller_008_reset_out_reset;                                 // rst_controller_008:reset_out -> [mm_interconnect_2:emif_ddr3_b_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset, mm_interconnect_2:emif_ddr3_b_global_reset_n_reset_bridge_in_reset_reset]

	nios_qsys_altera_avalon_pio_151_uouzzaq button (
		.clk        (clk_clk),                                //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),        //               reset.reset_n
		.address    (mm_interconnect_0_button_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_button_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_button_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_button_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_button_s1_readdata),   //                    .readdata
		.in_port    (button_external_connection_export),      // external_connection.export
		.irq        (irq_synchronizer_002_receiver_irq)       //                 irq.irq
	);

	nios_qsys_altera_avalon_pio_151_bmh6fna ddr3_status (
		.clk      (clk_clk),                                   //                 clk.clk
		.reset_n  (~rst_controller_reset_out_reset),           //               reset.reset_n
		.address  (mm_interconnect_0_ddr3_status_s1_address),  //                  s1.address
		.readdata (mm_interconnect_0_ddr3_status_s1_readdata), //                    .readdata
		.in_port  (ddr3_status_external_connection_export)     // external_connection.export
	);

	nios_qsys_altera_emif_151_unztaka emif_ddr3 (
		.emif_usr_reset_n    (),                                                     // emif_usr_reset_n.reset_n
		.emif_usr_clk        (emif_ddr3_emif_usr_clk_clk),                           //     emif_usr_clk.clk
		.global_reset_n      (~rst_controller_001_reset_out_reset),                  //   global_reset_n.reset_n
		.pll_ref_clk         (emif_ddr3_pll_ref_clk_clk),                            //      pll_ref_clk.clk
		.oct_rzqin           (emif_ddr3_oct_oct_rzqin),                              //              oct.oct_rzqin
		.mem_ck              (emif_ddr3_mem_mem_ck),                                 //              mem.mem_ck
		.mem_ck_n            (emif_ddr3_mem_mem_ck_n),                               //                 .mem_ck_n
		.mem_a               (emif_ddr3_mem_mem_a),                                  //                 .mem_a
		.mem_ba              (emif_ddr3_mem_mem_ba),                                 //                 .mem_ba
		.mem_cke             (emif_ddr3_mem_mem_cke),                                //                 .mem_cke
		.mem_cs_n            (emif_ddr3_mem_mem_cs_n),                               //                 .mem_cs_n
		.mem_odt             (emif_ddr3_mem_mem_odt),                                //                 .mem_odt
		.mem_reset_n         (emif_ddr3_mem_mem_reset_n),                            //                 .mem_reset_n
		.mem_we_n            (emif_ddr3_mem_mem_we_n),                               //                 .mem_we_n
		.mem_ras_n           (emif_ddr3_mem_mem_ras_n),                              //                 .mem_ras_n
		.mem_cas_n           (emif_ddr3_mem_mem_cas_n),                              //                 .mem_cas_n
		.mem_dqs             (emif_ddr3_mem_mem_dqs),                                //                 .mem_dqs
		.mem_dqs_n           (emif_ddr3_mem_mem_dqs_n),                              //                 .mem_dqs_n
		.mem_dq              (emif_ddr3_mem_mem_dq),                                 //                 .mem_dq
		.mem_dm              (emif_ddr3_mem_mem_dm),                                 //                 .mem_dm
		.local_cal_success   (emif_ddr3_status_local_cal_success),                   //           status.local_cal_success
		.local_cal_fail      (emif_ddr3_status_local_cal_fail),                      //                 .local_cal_fail
		.amm_ready_0         (mm_interconnect_1_emif_ddr3_ctrl_amm_0_waitrequest),   //       ctrl_amm_0.waitrequest_n
		.amm_read_0          (mm_interconnect_1_emif_ddr3_ctrl_amm_0_read),          //                 .read
		.amm_write_0         (mm_interconnect_1_emif_ddr3_ctrl_amm_0_write),         //                 .write
		.amm_address_0       (mm_interconnect_1_emif_ddr3_ctrl_amm_0_address),       //                 .address
		.amm_readdata_0      (mm_interconnect_1_emif_ddr3_ctrl_amm_0_readdata),      //                 .readdata
		.amm_writedata_0     (mm_interconnect_1_emif_ddr3_ctrl_amm_0_writedata),     //                 .writedata
		.amm_burstcount_0    (mm_interconnect_1_emif_ddr3_ctrl_amm_0_burstcount),    //                 .burstcount
		.amm_byteenable_0    (mm_interconnect_1_emif_ddr3_ctrl_amm_0_byteenable),    //                 .byteenable
		.amm_readdatavalid_0 (mm_interconnect_1_emif_ddr3_ctrl_amm_0_readdatavalid)  //                 .readdatavalid
	);

	nios_qsys_altera_emif_151_pbidjua emif_ddr3_b (
		.emif_usr_reset_n    (),                                                       // emif_usr_reset_n.reset_n
		.emif_usr_clk        (emif_ddr3_b_emif_usr_clk_clk),                           //     emif_usr_clk.clk
		.global_reset_n      (~rst_controller_002_reset_out_reset),                    //   global_reset_n.reset_n
		.pll_ref_clk         (emif_ddr3_b_pll_ref_clk_clk),                            //      pll_ref_clk.clk
		.oct_rzqin           (emif_ddr3_b_oct_oct_rzqin),                              //              oct.oct_rzqin
		.mem_ck              (emif_ddr3_b_mem_mem_ck),                                 //              mem.mem_ck
		.mem_ck_n            (emif_ddr3_b_mem_mem_ck_n),                               //                 .mem_ck_n
		.mem_a               (emif_ddr3_b_mem_mem_a),                                  //                 .mem_a
		.mem_ba              (emif_ddr3_b_mem_mem_ba),                                 //                 .mem_ba
		.mem_cke             (emif_ddr3_b_mem_mem_cke),                                //                 .mem_cke
		.mem_cs_n            (emif_ddr3_b_mem_mem_cs_n),                               //                 .mem_cs_n
		.mem_odt             (emif_ddr3_b_mem_mem_odt),                                //                 .mem_odt
		.mem_reset_n         (emif_ddr3_b_mem_mem_reset_n),                            //                 .mem_reset_n
		.mem_we_n            (emif_ddr3_b_mem_mem_we_n),                               //                 .mem_we_n
		.mem_ras_n           (emif_ddr3_b_mem_mem_ras_n),                              //                 .mem_ras_n
		.mem_cas_n           (emif_ddr3_b_mem_mem_cas_n),                              //                 .mem_cas_n
		.mem_dqs             (emif_ddr3_b_mem_mem_dqs),                                //                 .mem_dqs
		.mem_dqs_n           (emif_ddr3_b_mem_mem_dqs_n),                              //                 .mem_dqs_n
		.mem_dq              (emif_ddr3_b_mem_mem_dq),                                 //                 .mem_dq
		.mem_dm              (emif_ddr3_b_mem_mem_dm),                                 //                 .mem_dm
		.local_cal_success   (emif_ddr3_b_status_local_cal_success),                   //           status.local_cal_success
		.local_cal_fail      (emif_ddr3_b_status_local_cal_fail),                      //                 .local_cal_fail
		.amm_ready_0         (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_waitrequest),   //       ctrl_amm_0.waitrequest_n
		.amm_read_0          (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_read),          //                 .read
		.amm_write_0         (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_write),         //                 .write
		.amm_address_0       (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_address),       //                 .address
		.amm_readdata_0      (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_readdata),      //                 .readdata
		.amm_writedata_0     (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_writedata),     //                 .writedata
		.amm_burstcount_0    (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_burstcount),    //                 .burstcount
		.amm_byteenable_0    (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_byteenable),    //                 .byteenable
		.amm_readdatavalid_0 (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_readdatavalid)  //                 .readdatavalid
	);

	nios_qsys_altera_iopll_151_uczx2iy iopll_sys (
		.rst      (~reset_reset_n),        //   reset.reset
		.refclk   (clk_clk),               //  refclk.clk
		.locked   (),                      //  locked.export
		.outclk_0 (iopll_sys_outclk0_clk)  // outclk0.clk
	);

	nios_qsys_altera_avalon_jtag_uart_151_3ofkaoq jtag_uar (
		.clk            (clk_clk),                                                  //               clk.clk
		.rst_n          (~rst_controller_reset_out_reset),                          //             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uar_avalon_jtag_slave_chipselect),  // avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uar_avalon_jtag_slave_address),     //                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uar_avalon_jtag_slave_read),       //                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uar_avalon_jtag_slave_readdata),    //                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uar_avalon_jtag_slave_write),      //                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uar_avalon_jtag_slave_writedata),   //                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uar_avalon_jtag_slave_waitrequest), //                  .waitrequest
		.av_irq         (irq_synchronizer_receiver_irq)                             //               irq.irq
	);

	altera_avalon_mm_clock_crossing_bridge #(
		.DATA_WIDTH          (32),
		.SYMBOL_WIDTH        (8),
		.HDL_ADDR_WIDTH      (30),
		.BURSTCOUNT_WIDTH    (1),
		.COMMAND_FIFO_DEPTH  (4),
		.RESPONSE_FIFO_DEPTH (4),
		.MASTER_SYNC_DEPTH   (2),
		.SLAVE_SYNC_DEPTH    (2)
	) mm_clock_crossing_bridge_ddr3 (
		.m0_clk           (emif_ddr3_emif_usr_clk_clk),                                       //   m0_clk.clk
		.m0_reset         (rst_controller_003_reset_out_reset),                               // m0_reset.reset
		.s0_clk           (iopll_sys_outclk0_clk),                                            //   s0_clk.clk
		.s0_reset         (rst_controller_004_reset_out_reset),                               // s0_reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_waitrequest),   //       s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_readdata),      //         .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_readdatavalid), //         .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_burstcount),    //         .burstcount
		.s0_writedata     (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_writedata),     //         .writedata
		.s0_address       (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_address),       //         .address
		.s0_write         (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_write),         //         .write
		.s0_read          (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_read),          //         .read
		.s0_byteenable    (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_byteenable),    //         .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_debugaccess),   //         .debugaccess
		.m0_waitrequest   (mm_clock_crossing_bridge_ddr3_m0_waitrequest),                     //       m0.waitrequest
		.m0_readdata      (mm_clock_crossing_bridge_ddr3_m0_readdata),                        //         .readdata
		.m0_readdatavalid (mm_clock_crossing_bridge_ddr3_m0_readdatavalid),                   //         .readdatavalid
		.m0_burstcount    (mm_clock_crossing_bridge_ddr3_m0_burstcount),                      //         .burstcount
		.m0_writedata     (mm_clock_crossing_bridge_ddr3_m0_writedata),                       //         .writedata
		.m0_address       (mm_clock_crossing_bridge_ddr3_m0_address),                         //         .address
		.m0_write         (mm_clock_crossing_bridge_ddr3_m0_write),                           //         .write
		.m0_read          (mm_clock_crossing_bridge_ddr3_m0_read),                            //         .read
		.m0_byteenable    (mm_clock_crossing_bridge_ddr3_m0_byteenable),                      //         .byteenable
		.m0_debugaccess   (mm_clock_crossing_bridge_ddr3_m0_debugaccess)                      //         .debugaccess
	);

	altera_avalon_mm_clock_crossing_bridge #(
		.DATA_WIDTH          (32),
		.SYMBOL_WIDTH        (8),
		.HDL_ADDR_WIDTH      (30),
		.BURSTCOUNT_WIDTH    (1),
		.COMMAND_FIFO_DEPTH  (4),
		.RESPONSE_FIFO_DEPTH (4),
		.MASTER_SYNC_DEPTH   (2),
		.SLAVE_SYNC_DEPTH    (2)
	) mm_clock_crossing_bridge_ddr3_b (
		.m0_clk           (emif_ddr3_b_emif_usr_clk_clk),                                       //   m0_clk.clk
		.m0_reset         (rst_controller_005_reset_out_reset),                                 // m0_reset.reset
		.s0_clk           (iopll_sys_outclk0_clk),                                              //   s0_clk.clk
		.s0_reset         (rst_controller_004_reset_out_reset),                                 // s0_reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_waitrequest),   //       s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_readdata),      //         .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_readdatavalid), //         .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_burstcount),    //         .burstcount
		.s0_writedata     (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_writedata),     //         .writedata
		.s0_address       (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_address),       //         .address
		.s0_write         (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_write),         //         .write
		.s0_read          (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_read),          //         .read
		.s0_byteenable    (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_byteenable),    //         .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_debugaccess),   //         .debugaccess
		.m0_waitrequest   (mm_clock_crossing_bridge_ddr3_b_m0_waitrequest),                     //       m0.waitrequest
		.m0_readdata      (mm_clock_crossing_bridge_ddr3_b_m0_readdata),                        //         .readdata
		.m0_readdatavalid (mm_clock_crossing_bridge_ddr3_b_m0_readdatavalid),                   //         .readdatavalid
		.m0_burstcount    (mm_clock_crossing_bridge_ddr3_b_m0_burstcount),                      //         .burstcount
		.m0_writedata     (mm_clock_crossing_bridge_ddr3_b_m0_writedata),                       //         .writedata
		.m0_address       (mm_clock_crossing_bridge_ddr3_b_m0_address),                         //         .address
		.m0_write         (mm_clock_crossing_bridge_ddr3_b_m0_write),                           //         .write
		.m0_read          (mm_clock_crossing_bridge_ddr3_b_m0_read),                            //         .read
		.m0_byteenable    (mm_clock_crossing_bridge_ddr3_b_m0_byteenable),                      //         .byteenable
		.m0_debugaccess   (mm_clock_crossing_bridge_ddr3_b_m0_debugaccess)                      //         .debugaccess
	);

	altera_avalon_mm_clock_crossing_bridge #(
		.DATA_WIDTH          (32),
		.SYMBOL_WIDTH        (8),
		.HDL_ADDR_WIDTH      (10),
		.BURSTCOUNT_WIDTH    (1),
		.COMMAND_FIFO_DEPTH  (4),
		.RESPONSE_FIFO_DEPTH (4),
		.MASTER_SYNC_DEPTH   (2),
		.SLAVE_SYNC_DEPTH    (2)
	) mm_clock_crossing_bridge_io (
		.m0_clk           (clk_clk),                                                        //   m0_clk.clk
		.m0_reset         (rst_controller_reset_out_reset),                                 // m0_reset.reset
		.s0_clk           (iopll_sys_outclk0_clk),                                          //   s0_clk.clk
		.s0_reset         (rst_controller_004_reset_out_reset),                             // s0_reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_waitrequest),   //       s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_readdata),      //         .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_readdatavalid), //         .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_burstcount),    //         .burstcount
		.s0_writedata     (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_writedata),     //         .writedata
		.s0_address       (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_address),       //         .address
		.s0_write         (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_write),         //         .write
		.s0_read          (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_read),          //         .read
		.s0_byteenable    (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_byteenable),    //         .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_debugaccess),   //         .debugaccess
		.m0_waitrequest   (mm_clock_crossing_bridge_io_m0_waitrequest),                     //       m0.waitrequest
		.m0_readdata      (mm_clock_crossing_bridge_io_m0_readdata),                        //         .readdata
		.m0_readdatavalid (mm_clock_crossing_bridge_io_m0_readdatavalid),                   //         .readdatavalid
		.m0_burstcount    (mm_clock_crossing_bridge_io_m0_burstcount),                      //         .burstcount
		.m0_writedata     (mm_clock_crossing_bridge_io_m0_writedata),                       //         .writedata
		.m0_address       (mm_clock_crossing_bridge_io_m0_address),                         //         .address
		.m0_write         (mm_clock_crossing_bridge_io_m0_write),                           //         .write
		.m0_read          (mm_clock_crossing_bridge_io_m0_read),                            //         .read
		.m0_byteenable    (mm_clock_crossing_bridge_io_m0_byteenable),                      //         .byteenable
		.m0_debugaccess   (mm_clock_crossing_bridge_io_m0_debugaccess)                      //         .debugaccess
	);

	nios_qsys_altera_nios2_gen2_151_jqn74fa nios2_gen (
		.clk                                 (iopll_sys_outclk0_clk),                                   //                       clk.clk
		.reset_n                             (~rst_controller_006_reset_out_reset),                     //                     reset.reset_n
		.reset_req                           (rst_controller_006_reset_out_reset_req),                  //                          .reset_req
		.d_address                           (nios2_gen_data_master_address),                           //               data_master.address
		.d_byteenable                        (nios2_gen_data_master_byteenable),                        //                          .byteenable
		.d_read                              (nios2_gen_data_master_read),                              //                          .read
		.d_readdata                          (nios2_gen_data_master_readdata),                          //                          .readdata
		.d_waitrequest                       (nios2_gen_data_master_waitrequest),                       //                          .waitrequest
		.d_write                             (nios2_gen_data_master_write),                             //                          .write
		.d_writedata                         (nios2_gen_data_master_writedata),                         //                          .writedata
		.d_readdatavalid                     (nios2_gen_data_master_readdatavalid),                     //                          .readdatavalid
		.debug_mem_slave_debugaccess_to_roms (nios2_gen_data_master_debugaccess),                       //                          .debugaccess
		.i_address                           (nios2_gen_instruction_master_address),                    //        instruction_master.address
		.i_read                              (nios2_gen_instruction_master_read),                       //                          .read
		.i_readdata                          (nios2_gen_instruction_master_readdata),                   //                          .readdata
		.i_waitrequest                       (nios2_gen_instruction_master_waitrequest),                //                          .waitrequest
		.i_readdatavalid                     (nios2_gen_instruction_master_readdatavalid),              //                          .readdatavalid
		.irq                                 (nios2_gen_irq_irq),                                       //                       irq.irq
		.debug_reset_request                 (nios2_gen_debug_reset_request_reset),                     //       debug_reset_request.reset
		.debug_mem_slave_address             (mm_interconnect_0_nios2_gen_debug_mem_slave_address),     //           debug_mem_slave.address
		.debug_mem_slave_byteenable          (mm_interconnect_0_nios2_gen_debug_mem_slave_byteenable),  //                          .byteenable
		.debug_mem_slave_debugaccess         (mm_interconnect_0_nios2_gen_debug_mem_slave_debugaccess), //                          .debugaccess
		.debug_mem_slave_read                (mm_interconnect_0_nios2_gen_debug_mem_slave_read),        //                          .read
		.debug_mem_slave_readdata            (mm_interconnect_0_nios2_gen_debug_mem_slave_readdata),    //                          .readdata
		.debug_mem_slave_waitrequest         (mm_interconnect_0_nios2_gen_debug_mem_slave_waitrequest), //                          .waitrequest
		.debug_mem_slave_write               (mm_interconnect_0_nios2_gen_debug_mem_slave_write),       //                          .write
		.debug_mem_slave_writedata           (mm_interconnect_0_nios2_gen_debug_mem_slave_writedata),   //                          .writedata
		.dummy_ci_port                       ()                                                         // custom_instruction_master.readra
	);

	nios_qsys_altera_avalon_onchip_memory2_151_vobtuja onchip_memory2 (
		.clk        (iopll_sys_outclk0_clk),                          //   clk1.clk
		.address    (mm_interconnect_0_onchip_memory2_s1_address),    //     s1.address
		.clken      (mm_interconnect_0_onchip_memory2_s1_clken),      //       .clken
		.chipselect (mm_interconnect_0_onchip_memory2_s1_chipselect), //       .chipselect
		.write      (mm_interconnect_0_onchip_memory2_s1_write),      //       .write
		.readdata   (mm_interconnect_0_onchip_memory2_s1_readdata),   //       .readdata
		.writedata  (mm_interconnect_0_onchip_memory2_s1_writedata),  //       .writedata
		.byteenable (mm_interconnect_0_onchip_memory2_s1_byteenable), //       .byteenable
		.reset      (rst_controller_004_reset_out_reset),             // reset1.reset
		.reset_req  (rst_controller_004_reset_out_reset_req)          //       .reset_req
	);

	nios_qsys_altera_avalon_pio_151_jeav2fa reqeust_ddr3_reset_n (
		.clk        (clk_clk),                                              //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),                      //               reset.reset_n
		.address    (mm_interconnect_0_reqeust_ddr3_reset_n_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_0_reqeust_ddr3_reset_n_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_0_reqeust_ddr3_reset_n_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_0_reqeust_ddr3_reset_n_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_0_reqeust_ddr3_reset_n_s1_readdata),   //                    .readdata
		.out_port   (reqeust_ddr3_reset_n_external_connection_export)       // external_connection.export
	);

	nios_qsys_altera_avalon_sysid_qsys_151_gt7eo2q sysid_qsy (
		.clock    (clk_clk),                                            //           clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                    //         reset.reset_n
		.readdata (mm_interconnect_0_sysid_qsy_control_slave_readdata), // control_slave.readdata
		.address  (mm_interconnect_0_sysid_qsy_control_slave_address)   //              .address
	);

	nios_qsys_altera_avalon_timer_151_lx7snua timer (
		.clk        (clk_clk),                               //   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       // reset.reset_n
		.address    (mm_interconnect_0_timer_s1_address),    //    s1.address
		.writedata  (mm_interconnect_0_timer_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_0_timer_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_0_timer_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_0_timer_s1_write),     //      .write_n
		.irq        (irq_synchronizer_001_receiver_irq)      //   irq.irq
	);

	nios_qsys_altera_mm_interconnect_151_bx22tza mm_interconnect_0 (
		.clk_50_clk_clk                                                   (clk_clk),                                                            //                                                 clk_50_clk.clk
		.iopll_sys_outclk0_clk                                            (iopll_sys_outclk0_clk),                                              //                                          iopll_sys_outclk0.clk
		.mm_clock_crossing_bridge_io_m0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                                     // mm_clock_crossing_bridge_io_m0_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_io_s0_reset_reset_bridge_in_reset_reset (rst_controller_004_reset_out_reset),                                 // mm_clock_crossing_bridge_io_s0_reset_reset_bridge_in_reset.reset
		.nios2_gen_reset_reset_bridge_in_reset_reset                      (rst_controller_006_reset_out_reset),                                 //                      nios2_gen_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_io_m0_address                           (mm_clock_crossing_bridge_io_m0_address),                             //                             mm_clock_crossing_bridge_io_m0.address
		.mm_clock_crossing_bridge_io_m0_waitrequest                       (mm_clock_crossing_bridge_io_m0_waitrequest),                         //                                                           .waitrequest
		.mm_clock_crossing_bridge_io_m0_burstcount                        (mm_clock_crossing_bridge_io_m0_burstcount),                          //                                                           .burstcount
		.mm_clock_crossing_bridge_io_m0_byteenable                        (mm_clock_crossing_bridge_io_m0_byteenable),                          //                                                           .byteenable
		.mm_clock_crossing_bridge_io_m0_read                              (mm_clock_crossing_bridge_io_m0_read),                                //                                                           .read
		.mm_clock_crossing_bridge_io_m0_readdata                          (mm_clock_crossing_bridge_io_m0_readdata),                            //                                                           .readdata
		.mm_clock_crossing_bridge_io_m0_readdatavalid                     (mm_clock_crossing_bridge_io_m0_readdatavalid),                       //                                                           .readdatavalid
		.mm_clock_crossing_bridge_io_m0_write                             (mm_clock_crossing_bridge_io_m0_write),                               //                                                           .write
		.mm_clock_crossing_bridge_io_m0_writedata                         (mm_clock_crossing_bridge_io_m0_writedata),                           //                                                           .writedata
		.mm_clock_crossing_bridge_io_m0_debugaccess                       (mm_clock_crossing_bridge_io_m0_debugaccess),                         //                                                           .debugaccess
		.nios2_gen_data_master_address                                    (nios2_gen_data_master_address),                                      //                                      nios2_gen_data_master.address
		.nios2_gen_data_master_waitrequest                                (nios2_gen_data_master_waitrequest),                                  //                                                           .waitrequest
		.nios2_gen_data_master_byteenable                                 (nios2_gen_data_master_byteenable),                                   //                                                           .byteenable
		.nios2_gen_data_master_read                                       (nios2_gen_data_master_read),                                         //                                                           .read
		.nios2_gen_data_master_readdata                                   (nios2_gen_data_master_readdata),                                     //                                                           .readdata
		.nios2_gen_data_master_readdatavalid                              (nios2_gen_data_master_readdatavalid),                                //                                                           .readdatavalid
		.nios2_gen_data_master_write                                      (nios2_gen_data_master_write),                                        //                                                           .write
		.nios2_gen_data_master_writedata                                  (nios2_gen_data_master_writedata),                                    //                                                           .writedata
		.nios2_gen_data_master_debugaccess                                (nios2_gen_data_master_debugaccess),                                  //                                                           .debugaccess
		.nios2_gen_instruction_master_address                             (nios2_gen_instruction_master_address),                               //                               nios2_gen_instruction_master.address
		.nios2_gen_instruction_master_waitrequest                         (nios2_gen_instruction_master_waitrequest),                           //                                                           .waitrequest
		.nios2_gen_instruction_master_read                                (nios2_gen_instruction_master_read),                                  //                                                           .read
		.nios2_gen_instruction_master_readdata                            (nios2_gen_instruction_master_readdata),                              //                                                           .readdata
		.nios2_gen_instruction_master_readdatavalid                       (nios2_gen_instruction_master_readdatavalid),                         //                                                           .readdatavalid
		.button_s1_address                                                (mm_interconnect_0_button_s1_address),                                //                                                  button_s1.address
		.button_s1_write                                                  (mm_interconnect_0_button_s1_write),                                  //                                                           .write
		.button_s1_readdata                                               (mm_interconnect_0_button_s1_readdata),                               //                                                           .readdata
		.button_s1_writedata                                              (mm_interconnect_0_button_s1_writedata),                              //                                                           .writedata
		.button_s1_chipselect                                             (mm_interconnect_0_button_s1_chipselect),                             //                                                           .chipselect
		.ddr3_status_s1_address                                           (mm_interconnect_0_ddr3_status_s1_address),                           //                                             ddr3_status_s1.address
		.ddr3_status_s1_readdata                                          (mm_interconnect_0_ddr3_status_s1_readdata),                          //                                                           .readdata
		.jtag_uar_avalon_jtag_slave_address                               (mm_interconnect_0_jtag_uar_avalon_jtag_slave_address),               //                                 jtag_uar_avalon_jtag_slave.address
		.jtag_uar_avalon_jtag_slave_write                                 (mm_interconnect_0_jtag_uar_avalon_jtag_slave_write),                 //                                                           .write
		.jtag_uar_avalon_jtag_slave_read                                  (mm_interconnect_0_jtag_uar_avalon_jtag_slave_read),                  //                                                           .read
		.jtag_uar_avalon_jtag_slave_readdata                              (mm_interconnect_0_jtag_uar_avalon_jtag_slave_readdata),              //                                                           .readdata
		.jtag_uar_avalon_jtag_slave_writedata                             (mm_interconnect_0_jtag_uar_avalon_jtag_slave_writedata),             //                                                           .writedata
		.jtag_uar_avalon_jtag_slave_waitrequest                           (mm_interconnect_0_jtag_uar_avalon_jtag_slave_waitrequest),           //                                                           .waitrequest
		.jtag_uar_avalon_jtag_slave_chipselect                            (mm_interconnect_0_jtag_uar_avalon_jtag_slave_chipselect),            //                                                           .chipselect
		.mm_clock_crossing_bridge_ddr3_s0_address                         (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_address),         //                           mm_clock_crossing_bridge_ddr3_s0.address
		.mm_clock_crossing_bridge_ddr3_s0_write                           (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_write),           //                                                           .write
		.mm_clock_crossing_bridge_ddr3_s0_read                            (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_read),            //                                                           .read
		.mm_clock_crossing_bridge_ddr3_s0_readdata                        (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_readdata),        //                                                           .readdata
		.mm_clock_crossing_bridge_ddr3_s0_writedata                       (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_writedata),       //                                                           .writedata
		.mm_clock_crossing_bridge_ddr3_s0_burstcount                      (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_burstcount),      //                                                           .burstcount
		.mm_clock_crossing_bridge_ddr3_s0_byteenable                      (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_byteenable),      //                                                           .byteenable
		.mm_clock_crossing_bridge_ddr3_s0_readdatavalid                   (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_readdatavalid),   //                                                           .readdatavalid
		.mm_clock_crossing_bridge_ddr3_s0_waitrequest                     (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_waitrequest),     //                                                           .waitrequest
		.mm_clock_crossing_bridge_ddr3_s0_debugaccess                     (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_s0_debugaccess),     //                                                           .debugaccess
		.mm_clock_crossing_bridge_ddr3_b_s0_address                       (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_address),       //                         mm_clock_crossing_bridge_ddr3_b_s0.address
		.mm_clock_crossing_bridge_ddr3_b_s0_write                         (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_write),         //                                                           .write
		.mm_clock_crossing_bridge_ddr3_b_s0_read                          (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_read),          //                                                           .read
		.mm_clock_crossing_bridge_ddr3_b_s0_readdata                      (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_readdata),      //                                                           .readdata
		.mm_clock_crossing_bridge_ddr3_b_s0_writedata                     (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_writedata),     //                                                           .writedata
		.mm_clock_crossing_bridge_ddr3_b_s0_burstcount                    (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_burstcount),    //                                                           .burstcount
		.mm_clock_crossing_bridge_ddr3_b_s0_byteenable                    (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_byteenable),    //                                                           .byteenable
		.mm_clock_crossing_bridge_ddr3_b_s0_readdatavalid                 (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_readdatavalid), //                                                           .readdatavalid
		.mm_clock_crossing_bridge_ddr3_b_s0_waitrequest                   (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_waitrequest),   //                                                           .waitrequest
		.mm_clock_crossing_bridge_ddr3_b_s0_debugaccess                   (mm_interconnect_0_mm_clock_crossing_bridge_ddr3_b_s0_debugaccess),   //                                                           .debugaccess
		.mm_clock_crossing_bridge_io_s0_address                           (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_address),           //                             mm_clock_crossing_bridge_io_s0.address
		.mm_clock_crossing_bridge_io_s0_write                             (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_write),             //                                                           .write
		.mm_clock_crossing_bridge_io_s0_read                              (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_read),              //                                                           .read
		.mm_clock_crossing_bridge_io_s0_readdata                          (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_readdata),          //                                                           .readdata
		.mm_clock_crossing_bridge_io_s0_writedata                         (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_writedata),         //                                                           .writedata
		.mm_clock_crossing_bridge_io_s0_burstcount                        (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_burstcount),        //                                                           .burstcount
		.mm_clock_crossing_bridge_io_s0_byteenable                        (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_byteenable),        //                                                           .byteenable
		.mm_clock_crossing_bridge_io_s0_readdatavalid                     (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_readdatavalid),     //                                                           .readdatavalid
		.mm_clock_crossing_bridge_io_s0_waitrequest                       (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_waitrequest),       //                                                           .waitrequest
		.mm_clock_crossing_bridge_io_s0_debugaccess                       (mm_interconnect_0_mm_clock_crossing_bridge_io_s0_debugaccess),       //                                                           .debugaccess
		.nios2_gen_debug_mem_slave_address                                (mm_interconnect_0_nios2_gen_debug_mem_slave_address),                //                                  nios2_gen_debug_mem_slave.address
		.nios2_gen_debug_mem_slave_write                                  (mm_interconnect_0_nios2_gen_debug_mem_slave_write),                  //                                                           .write
		.nios2_gen_debug_mem_slave_read                                   (mm_interconnect_0_nios2_gen_debug_mem_slave_read),                   //                                                           .read
		.nios2_gen_debug_mem_slave_readdata                               (mm_interconnect_0_nios2_gen_debug_mem_slave_readdata),               //                                                           .readdata
		.nios2_gen_debug_mem_slave_writedata                              (mm_interconnect_0_nios2_gen_debug_mem_slave_writedata),              //                                                           .writedata
		.nios2_gen_debug_mem_slave_byteenable                             (mm_interconnect_0_nios2_gen_debug_mem_slave_byteenable),             //                                                           .byteenable
		.nios2_gen_debug_mem_slave_waitrequest                            (mm_interconnect_0_nios2_gen_debug_mem_slave_waitrequest),            //                                                           .waitrequest
		.nios2_gen_debug_mem_slave_debugaccess                            (mm_interconnect_0_nios2_gen_debug_mem_slave_debugaccess),            //                                                           .debugaccess
		.onchip_memory2_s1_address                                        (mm_interconnect_0_onchip_memory2_s1_address),                        //                                          onchip_memory2_s1.address
		.onchip_memory2_s1_write                                          (mm_interconnect_0_onchip_memory2_s1_write),                          //                                                           .write
		.onchip_memory2_s1_readdata                                       (mm_interconnect_0_onchip_memory2_s1_readdata),                       //                                                           .readdata
		.onchip_memory2_s1_writedata                                      (mm_interconnect_0_onchip_memory2_s1_writedata),                      //                                                           .writedata
		.onchip_memory2_s1_byteenable                                     (mm_interconnect_0_onchip_memory2_s1_byteenable),                     //                                                           .byteenable
		.onchip_memory2_s1_chipselect                                     (mm_interconnect_0_onchip_memory2_s1_chipselect),                     //                                                           .chipselect
		.onchip_memory2_s1_clken                                          (mm_interconnect_0_onchip_memory2_s1_clken),                          //                                                           .clken
		.reqeust_ddr3_reset_n_s1_address                                  (mm_interconnect_0_reqeust_ddr3_reset_n_s1_address),                  //                                    reqeust_ddr3_reset_n_s1.address
		.reqeust_ddr3_reset_n_s1_write                                    (mm_interconnect_0_reqeust_ddr3_reset_n_s1_write),                    //                                                           .write
		.reqeust_ddr3_reset_n_s1_readdata                                 (mm_interconnect_0_reqeust_ddr3_reset_n_s1_readdata),                 //                                                           .readdata
		.reqeust_ddr3_reset_n_s1_writedata                                (mm_interconnect_0_reqeust_ddr3_reset_n_s1_writedata),                //                                                           .writedata
		.reqeust_ddr3_reset_n_s1_chipselect                               (mm_interconnect_0_reqeust_ddr3_reset_n_s1_chipselect),               //                                                           .chipselect
		.sysid_qsy_control_slave_address                                  (mm_interconnect_0_sysid_qsy_control_slave_address),                  //                                    sysid_qsy_control_slave.address
		.sysid_qsy_control_slave_readdata                                 (mm_interconnect_0_sysid_qsy_control_slave_readdata),                 //                                                           .readdata
		.timer_s1_address                                                 (mm_interconnect_0_timer_s1_address),                                 //                                                   timer_s1.address
		.timer_s1_write                                                   (mm_interconnect_0_timer_s1_write),                                   //                                                           .write
		.timer_s1_readdata                                                (mm_interconnect_0_timer_s1_readdata),                                //                                                           .readdata
		.timer_s1_writedata                                               (mm_interconnect_0_timer_s1_writedata),                               //                                                           .writedata
		.timer_s1_chipselect                                              (mm_interconnect_0_timer_s1_chipselect)                               //                                                           .chipselect
	);

	nios_qsys_altera_mm_interconnect_151_g2dya5q mm_interconnect_1 (
		.emif_ddr3_emif_usr_clk_clk                                         (emif_ddr3_emif_usr_clk_clk),                           //                                       emif_ddr3_emif_usr_clk.clk
		.emif_ddr3_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset  (rst_controller_007_reset_out_reset),                   //  emif_ddr3_ctrl_amm_0_translator_reset_reset_bridge_in_reset.reset
		.emif_ddr3_global_reset_n_reset_bridge_in_reset_reset               (rst_controller_007_reset_out_reset),                   //               emif_ddr3_global_reset_n_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_ddr3_m0_reset_reset_bridge_in_reset_reset (rst_controller_003_reset_out_reset),                   // mm_clock_crossing_bridge_ddr3_m0_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_ddr3_m0_address                           (mm_clock_crossing_bridge_ddr3_m0_address),             //                             mm_clock_crossing_bridge_ddr3_m0.address
		.mm_clock_crossing_bridge_ddr3_m0_waitrequest                       (mm_clock_crossing_bridge_ddr3_m0_waitrequest),         //                                                             .waitrequest
		.mm_clock_crossing_bridge_ddr3_m0_burstcount                        (mm_clock_crossing_bridge_ddr3_m0_burstcount),          //                                                             .burstcount
		.mm_clock_crossing_bridge_ddr3_m0_byteenable                        (mm_clock_crossing_bridge_ddr3_m0_byteenable),          //                                                             .byteenable
		.mm_clock_crossing_bridge_ddr3_m0_read                              (mm_clock_crossing_bridge_ddr3_m0_read),                //                                                             .read
		.mm_clock_crossing_bridge_ddr3_m0_readdata                          (mm_clock_crossing_bridge_ddr3_m0_readdata),            //                                                             .readdata
		.mm_clock_crossing_bridge_ddr3_m0_readdatavalid                     (mm_clock_crossing_bridge_ddr3_m0_readdatavalid),       //                                                             .readdatavalid
		.mm_clock_crossing_bridge_ddr3_m0_write                             (mm_clock_crossing_bridge_ddr3_m0_write),               //                                                             .write
		.mm_clock_crossing_bridge_ddr3_m0_writedata                         (mm_clock_crossing_bridge_ddr3_m0_writedata),           //                                                             .writedata
		.mm_clock_crossing_bridge_ddr3_m0_debugaccess                       (mm_clock_crossing_bridge_ddr3_m0_debugaccess),         //                                                             .debugaccess
		.emif_ddr3_ctrl_amm_0_address                                       (mm_interconnect_1_emif_ddr3_ctrl_amm_0_address),       //                                         emif_ddr3_ctrl_amm_0.address
		.emif_ddr3_ctrl_amm_0_write                                         (mm_interconnect_1_emif_ddr3_ctrl_amm_0_write),         //                                                             .write
		.emif_ddr3_ctrl_amm_0_read                                          (mm_interconnect_1_emif_ddr3_ctrl_amm_0_read),          //                                                             .read
		.emif_ddr3_ctrl_amm_0_readdata                                      (mm_interconnect_1_emif_ddr3_ctrl_amm_0_readdata),      //                                                             .readdata
		.emif_ddr3_ctrl_amm_0_writedata                                     (mm_interconnect_1_emif_ddr3_ctrl_amm_0_writedata),     //                                                             .writedata
		.emif_ddr3_ctrl_amm_0_burstcount                                    (mm_interconnect_1_emif_ddr3_ctrl_amm_0_burstcount),    //                                                             .burstcount
		.emif_ddr3_ctrl_amm_0_byteenable                                    (mm_interconnect_1_emif_ddr3_ctrl_amm_0_byteenable),    //                                                             .byteenable
		.emif_ddr3_ctrl_amm_0_readdatavalid                                 (mm_interconnect_1_emif_ddr3_ctrl_amm_0_readdatavalid), //                                                             .readdatavalid
		.emif_ddr3_ctrl_amm_0_waitrequest                                   (~mm_interconnect_1_emif_ddr3_ctrl_amm_0_waitrequest)   //                                                             .waitrequest
	);

	nios_qsys_altera_mm_interconnect_151_gp6hdsq mm_interconnect_2 (
		.emif_ddr3_b_emif_usr_clk_clk                                         (emif_ddr3_b_emif_usr_clk_clk),                           //                                       emif_ddr3_b_emif_usr_clk.clk
		.emif_ddr3_b_ctrl_amm_0_translator_reset_reset_bridge_in_reset_reset  (rst_controller_008_reset_out_reset),                     //  emif_ddr3_b_ctrl_amm_0_translator_reset_reset_bridge_in_reset.reset
		.emif_ddr3_b_global_reset_n_reset_bridge_in_reset_reset               (rst_controller_008_reset_out_reset),                     //               emif_ddr3_b_global_reset_n_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_ddr3_b_m0_reset_reset_bridge_in_reset_reset (rst_controller_005_reset_out_reset),                     // mm_clock_crossing_bridge_ddr3_b_m0_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_ddr3_b_m0_address                           (mm_clock_crossing_bridge_ddr3_b_m0_address),             //                             mm_clock_crossing_bridge_ddr3_b_m0.address
		.mm_clock_crossing_bridge_ddr3_b_m0_waitrequest                       (mm_clock_crossing_bridge_ddr3_b_m0_waitrequest),         //                                                               .waitrequest
		.mm_clock_crossing_bridge_ddr3_b_m0_burstcount                        (mm_clock_crossing_bridge_ddr3_b_m0_burstcount),          //                                                               .burstcount
		.mm_clock_crossing_bridge_ddr3_b_m0_byteenable                        (mm_clock_crossing_bridge_ddr3_b_m0_byteenable),          //                                                               .byteenable
		.mm_clock_crossing_bridge_ddr3_b_m0_read                              (mm_clock_crossing_bridge_ddr3_b_m0_read),                //                                                               .read
		.mm_clock_crossing_bridge_ddr3_b_m0_readdata                          (mm_clock_crossing_bridge_ddr3_b_m0_readdata),            //                                                               .readdata
		.mm_clock_crossing_bridge_ddr3_b_m0_readdatavalid                     (mm_clock_crossing_bridge_ddr3_b_m0_readdatavalid),       //                                                               .readdatavalid
		.mm_clock_crossing_bridge_ddr3_b_m0_write                             (mm_clock_crossing_bridge_ddr3_b_m0_write),               //                                                               .write
		.mm_clock_crossing_bridge_ddr3_b_m0_writedata                         (mm_clock_crossing_bridge_ddr3_b_m0_writedata),           //                                                               .writedata
		.mm_clock_crossing_bridge_ddr3_b_m0_debugaccess                       (mm_clock_crossing_bridge_ddr3_b_m0_debugaccess),         //                                                               .debugaccess
		.emif_ddr3_b_ctrl_amm_0_address                                       (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_address),       //                                         emif_ddr3_b_ctrl_amm_0.address
		.emif_ddr3_b_ctrl_amm_0_write                                         (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_write),         //                                                               .write
		.emif_ddr3_b_ctrl_amm_0_read                                          (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_read),          //                                                               .read
		.emif_ddr3_b_ctrl_amm_0_readdata                                      (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_readdata),      //                                                               .readdata
		.emif_ddr3_b_ctrl_amm_0_writedata                                     (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_writedata),     //                                                               .writedata
		.emif_ddr3_b_ctrl_amm_0_burstcount                                    (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_burstcount),    //                                                               .burstcount
		.emif_ddr3_b_ctrl_amm_0_byteenable                                    (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_byteenable),    //                                                               .byteenable
		.emif_ddr3_b_ctrl_amm_0_readdatavalid                                 (mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_readdatavalid), //                                                               .readdatavalid
		.emif_ddr3_b_ctrl_amm_0_waitrequest                                   (~mm_interconnect_2_emif_ddr3_b_ctrl_amm_0_waitrequest)   //                                                               .waitrequest
	);

	nios_qsys_altera_irq_mapper_151_aiiygua irq_mapper (
		.clk           (iopll_sys_outclk0_clk),              //       clk.clk
		.reset         (rst_controller_006_reset_out_reset), // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           // receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),           // receiver1.irq
		.receiver2_irq (irq_mapper_receiver2_irq),           // receiver2.irq
		.sender_irq    (nios2_gen_irq_irq)                   //    sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer (
		.receiver_clk   (clk_clk),                            //       receiver_clk.clk
		.sender_clk     (iopll_sys_outclk0_clk),              //         sender_clk.clk
		.receiver_reset (rst_controller_reset_out_reset),     // receiver_clk_reset.reset
		.sender_reset   (rst_controller_006_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_receiver_irq),      //           receiver.irq
		.sender_irq     (irq_mapper_receiver0_irq)            //             sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer_001 (
		.receiver_clk   (clk_clk),                            //       receiver_clk.clk
		.sender_clk     (iopll_sys_outclk0_clk),              //         sender_clk.clk
		.receiver_reset (rst_controller_reset_out_reset),     // receiver_clk_reset.reset
		.sender_reset   (rst_controller_006_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_001_receiver_irq),  //           receiver.irq
		.sender_irq     (irq_mapper_receiver1_irq)            //             sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer_002 (
		.receiver_clk   (clk_clk),                            //       receiver_clk.clk
		.sender_clk     (iopll_sys_outclk0_clk),              //         sender_clk.clk
		.receiver_reset (rst_controller_reset_out_reset),     // receiver_clk_reset.reset
		.sender_reset   (rst_controller_006_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_002_receiver_irq),  //           receiver.irq
		.sender_irq     (irq_mapper_receiver2_irq)            //             sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.clk            (clk_clk),                        //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                              // reset_in0.reset
		.reset_in1      (~reset_bridge_ddr3_reset_n_in_reset_reset_n), // reset_in1.reset
		.clk            (),                                            //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),          // reset_out.reset
		.reset_req      (),                                            // (terminated)
		.reset_req_in0  (1'b0),                                        // (terminated)
		.reset_req_in1  (1'b0),                                        // (terminated)
		.reset_in2      (1'b0),                                        // (terminated)
		.reset_req_in2  (1'b0),                                        // (terminated)
		.reset_in3      (1'b0),                                        // (terminated)
		.reset_req_in3  (1'b0),                                        // (terminated)
		.reset_in4      (1'b0),                                        // (terminated)
		.reset_req_in4  (1'b0),                                        // (terminated)
		.reset_in5      (1'b0),                                        // (terminated)
		.reset_req_in5  (1'b0),                                        // (terminated)
		.reset_in6      (1'b0),                                        // (terminated)
		.reset_req_in6  (1'b0),                                        // (terminated)
		.reset_in7      (1'b0),                                        // (terminated)
		.reset_req_in7  (1'b0),                                        // (terminated)
		.reset_in8      (1'b0),                                        // (terminated)
		.reset_req_in8  (1'b0),                                        // (terminated)
		.reset_in9      (1'b0),                                        // (terminated)
		.reset_req_in9  (1'b0),                                        // (terminated)
		.reset_in10     (1'b0),                                        // (terminated)
		.reset_req_in10 (1'b0),                                        // (terminated)
		.reset_in11     (1'b0),                                        // (terminated)
		.reset_req_in11 (1'b0),                                        // (terminated)
		.reset_in12     (1'b0),                                        // (terminated)
		.reset_req_in12 (1'b0),                                        // (terminated)
		.reset_in13     (1'b0),                                        // (terminated)
		.reset_req_in13 (1'b0),                                        // (terminated)
		.reset_in14     (1'b0),                                        // (terminated)
		.reset_req_in14 (1'b0),                                        // (terminated)
		.reset_in15     (1'b0),                                        // (terminated)
		.reset_req_in15 (1'b0)                                         // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("none"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~reset_reset_n),                              // reset_in0.reset
		.reset_in1      (~reset_bridge_ddr3_reset_n_in_reset_reset_n), // reset_in1.reset
		.clk            (),                                            //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),          // reset_out.reset
		.reset_req      (),                                            // (terminated)
		.reset_req_in0  (1'b0),                                        // (terminated)
		.reset_req_in1  (1'b0),                                        // (terminated)
		.reset_in2      (1'b0),                                        // (terminated)
		.reset_req_in2  (1'b0),                                        // (terminated)
		.reset_in3      (1'b0),                                        // (terminated)
		.reset_req_in3  (1'b0),                                        // (terminated)
		.reset_in4      (1'b0),                                        // (terminated)
		.reset_req_in4  (1'b0),                                        // (terminated)
		.reset_in5      (1'b0),                                        // (terminated)
		.reset_req_in5  (1'b0),                                        // (terminated)
		.reset_in6      (1'b0),                                        // (terminated)
		.reset_req_in6  (1'b0),                                        // (terminated)
		.reset_in7      (1'b0),                                        // (terminated)
		.reset_req_in7  (1'b0),                                        // (terminated)
		.reset_in8      (1'b0),                                        // (terminated)
		.reset_req_in8  (1'b0),                                        // (terminated)
		.reset_in9      (1'b0),                                        // (terminated)
		.reset_req_in9  (1'b0),                                        // (terminated)
		.reset_in10     (1'b0),                                        // (terminated)
		.reset_req_in10 (1'b0),                                        // (terminated)
		.reset_in11     (1'b0),                                        // (terminated)
		.reset_req_in11 (1'b0),                                        // (terminated)
		.reset_in12     (1'b0),                                        // (terminated)
		.reset_req_in12 (1'b0),                                        // (terminated)
		.reset_in13     (1'b0),                                        // (terminated)
		.reset_req_in13 (1'b0),                                        // (terminated)
		.reset_in14     (1'b0),                                        // (terminated)
		.reset_req_in14 (1'b0),                                        // (terminated)
		.reset_in15     (1'b0),                                        // (terminated)
		.reset_req_in15 (1'b0)                                         // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_003 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (emif_ddr3_emif_usr_clk_clk),         //       clk.clk
		.reset_out      (rst_controller_003_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_004 (
		.reset_in0      (~reset_reset_n),                         // reset_in0.reset
		.clk            (iopll_sys_outclk0_clk),                  //       clk.clk
		.reset_out      (rst_controller_004_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_004_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_in1      (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_005 (
		.reset_in0      (~reset_reset_n),                     // reset_in0.reset
		.clk            (emif_ddr3_b_emif_usr_clk_clk),       //       clk.clk
		.reset_out      (rst_controller_005_reset_out_reset), // reset_out.reset
		.reset_req      (),                                   // (terminated)
		.reset_req_in0  (1'b0),                               // (terminated)
		.reset_in1      (1'b0),                               // (terminated)
		.reset_req_in1  (1'b0),                               // (terminated)
		.reset_in2      (1'b0),                               // (terminated)
		.reset_req_in2  (1'b0),                               // (terminated)
		.reset_in3      (1'b0),                               // (terminated)
		.reset_req_in3  (1'b0),                               // (terminated)
		.reset_in4      (1'b0),                               // (terminated)
		.reset_req_in4  (1'b0),                               // (terminated)
		.reset_in5      (1'b0),                               // (terminated)
		.reset_req_in5  (1'b0),                               // (terminated)
		.reset_in6      (1'b0),                               // (terminated)
		.reset_req_in6  (1'b0),                               // (terminated)
		.reset_in7      (1'b0),                               // (terminated)
		.reset_req_in7  (1'b0),                               // (terminated)
		.reset_in8      (1'b0),                               // (terminated)
		.reset_req_in8  (1'b0),                               // (terminated)
		.reset_in9      (1'b0),                               // (terminated)
		.reset_req_in9  (1'b0),                               // (terminated)
		.reset_in10     (1'b0),                               // (terminated)
		.reset_req_in10 (1'b0),                               // (terminated)
		.reset_in11     (1'b0),                               // (terminated)
		.reset_req_in11 (1'b0),                               // (terminated)
		.reset_in12     (1'b0),                               // (terminated)
		.reset_req_in12 (1'b0),                               // (terminated)
		.reset_in13     (1'b0),                               // (terminated)
		.reset_req_in13 (1'b0),                               // (terminated)
		.reset_in14     (1'b0),                               // (terminated)
		.reset_req_in14 (1'b0),                               // (terminated)
		.reset_in15     (1'b0),                               // (terminated)
		.reset_req_in15 (1'b0)                                // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_006 (
		.reset_in0      (~reset_reset_n),                         // reset_in0.reset
		.reset_in1      (nios2_gen_debug_reset_request_reset),    // reset_in1.reset
		.clk            (iopll_sys_outclk0_clk),                  //       clk.clk
		.reset_out      (rst_controller_006_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_006_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_007 (
		.reset_in0      (~reset_reset_n),                              // reset_in0.reset
		.reset_in1      (~reset_bridge_ddr3_reset_n_in_reset_reset_n), // reset_in1.reset
		.clk            (emif_ddr3_emif_usr_clk_clk),                  //       clk.clk
		.reset_out      (rst_controller_007_reset_out_reset),          // reset_out.reset
		.reset_req      (),                                            // (terminated)
		.reset_req_in0  (1'b0),                                        // (terminated)
		.reset_req_in1  (1'b0),                                        // (terminated)
		.reset_in2      (1'b0),                                        // (terminated)
		.reset_req_in2  (1'b0),                                        // (terminated)
		.reset_in3      (1'b0),                                        // (terminated)
		.reset_req_in3  (1'b0),                                        // (terminated)
		.reset_in4      (1'b0),                                        // (terminated)
		.reset_req_in4  (1'b0),                                        // (terminated)
		.reset_in5      (1'b0),                                        // (terminated)
		.reset_req_in5  (1'b0),                                        // (terminated)
		.reset_in6      (1'b0),                                        // (terminated)
		.reset_req_in6  (1'b0),                                        // (terminated)
		.reset_in7      (1'b0),                                        // (terminated)
		.reset_req_in7  (1'b0),                                        // (terminated)
		.reset_in8      (1'b0),                                        // (terminated)
		.reset_req_in8  (1'b0),                                        // (terminated)
		.reset_in9      (1'b0),                                        // (terminated)
		.reset_req_in9  (1'b0),                                        // (terminated)
		.reset_in10     (1'b0),                                        // (terminated)
		.reset_req_in10 (1'b0),                                        // (terminated)
		.reset_in11     (1'b0),                                        // (terminated)
		.reset_req_in11 (1'b0),                                        // (terminated)
		.reset_in12     (1'b0),                                        // (terminated)
		.reset_req_in12 (1'b0),                                        // (terminated)
		.reset_in13     (1'b0),                                        // (terminated)
		.reset_req_in13 (1'b0),                                        // (terminated)
		.reset_in14     (1'b0),                                        // (terminated)
		.reset_req_in14 (1'b0),                                        // (terminated)
		.reset_in15     (1'b0),                                        // (terminated)
		.reset_req_in15 (1'b0)                                         // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_008 (
		.reset_in0      (~reset_reset_n),                              // reset_in0.reset
		.reset_in1      (~reset_bridge_ddr3_reset_n_in_reset_reset_n), // reset_in1.reset
		.clk            (emif_ddr3_b_emif_usr_clk_clk),                //       clk.clk
		.reset_out      (rst_controller_008_reset_out_reset),          // reset_out.reset
		.reset_req      (),                                            // (terminated)
		.reset_req_in0  (1'b0),                                        // (terminated)
		.reset_req_in1  (1'b0),                                        // (terminated)
		.reset_in2      (1'b0),                                        // (terminated)
		.reset_req_in2  (1'b0),                                        // (terminated)
		.reset_in3      (1'b0),                                        // (terminated)
		.reset_req_in3  (1'b0),                                        // (terminated)
		.reset_in4      (1'b0),                                        // (terminated)
		.reset_req_in4  (1'b0),                                        // (terminated)
		.reset_in5      (1'b0),                                        // (terminated)
		.reset_req_in5  (1'b0),                                        // (terminated)
		.reset_in6      (1'b0),                                        // (terminated)
		.reset_req_in6  (1'b0),                                        // (terminated)
		.reset_in7      (1'b0),                                        // (terminated)
		.reset_req_in7  (1'b0),                                        // (terminated)
		.reset_in8      (1'b0),                                        // (terminated)
		.reset_req_in8  (1'b0),                                        // (terminated)
		.reset_in9      (1'b0),                                        // (terminated)
		.reset_req_in9  (1'b0),                                        // (terminated)
		.reset_in10     (1'b0),                                        // (terminated)
		.reset_req_in10 (1'b0),                                        // (terminated)
		.reset_in11     (1'b0),                                        // (terminated)
		.reset_req_in11 (1'b0),                                        // (terminated)
		.reset_in12     (1'b0),                                        // (terminated)
		.reset_req_in12 (1'b0),                                        // (terminated)
		.reset_in13     (1'b0),                                        // (terminated)
		.reset_req_in13 (1'b0),                                        // (terminated)
		.reset_in14     (1'b0),                                        // (terminated)
		.reset_req_in14 (1'b0),                                        // (terminated)
		.reset_in15     (1'b0),                                        // (terminated)
		.reset_req_in15 (1'b0)                                         // (terminated)
	);

endmodule
