/*
 * si5340B_config.h
 *
 *  Created on: 2014/7/11
 *      Author: Richard
 */

#ifndef SI5340B_CONFIG_H_
#define SI5340B_CONFIG_H_
/////////REGB Address Value///////////////////////
#define	REGB_ADDR_PAGE      0x01
#define	REGB_ADDR_0018    	0x18
#define	REGB_ADDR_001C    	0x1C
#define	REGB_ADDR_0021     	0x21

#define	REGB_ADDR_0102     	0x02
#define	REGB_ADDR_0112     	0x12
#define	REGB_ADDR_0113     	0x13
#define	REGB_ADDR_0114     	0x14
#define	REGB_ADDR_0115     	0x15
#define	REGB_ADDR_0117     	0x17
#define	REGB_ADDR_0118      0x18
#define	REGB_ADDR_0119      0x19
#define	REGB_ADDR_011A      0x1A
#define	REGB_ADDR_0126     	0x26
#define	REGB_ADDR_0127      0x27
#define	REGB_ADDR_0128      0x28
#define	REGB_ADDR_0129      0x29
#define	REGB_ADDR_012B     	0x2B
#define	REGB_ADDR_012C     	0x2C
#define	REGB_ADDR_012D      0x2D
#define	REGB_ADDR_012E     	0x2E
#define	REGB_ADDR_0141     	0x41

#define	REGB_ADDR_0235	  	0x35
#define	REGB_ADDR_0236	  	0x36
#define	REGB_ADDR_0237	  	0x37
#define	REGB_ADDR_0238	  	0x38
#define	REGB_ADDR_0239	  	0x39
#define	REGB_ADDR_023A     	0x3A
#define	REGB_ADDR_023B	  	0x3B
#define	REGB_ADDR_023C	  	0x3C
#define	REGB_ADDR_023D	  	0x3D
#define	REGB_ADDR_023E	  	0x3E
#define	REGB_ADDR_023F	  	0x3F     // M_Update
#define	REGB_ADDR_0253      0x53
#define	REGB_ADDR_0254     	0x54
#define	REGB_ADDR_0255     	0x55
#define	REGB_ADDR_0256	  	0x56
#define	REGB_ADDR_0257	  	0x57
#define	REGB_ADDR_0258	    0x58
#define	REGB_ADDR_025F	  	0x5F
#define	REGB_ADDR_0260	  	0x60
#define	REGB_ADDR_0261	  	0x61
#define	REGB_ADDR_0262	  	0x62
#define	REGB_ADDR_0263	  	0x63
#define	REGB_ADDR_0264	  	0x64

#define	REGB_ADDR_0302	  	0x02
#define	REGB_ADDR_0303	  	0x03
#define	REGB_ADDR_0304	  	0x04
#define	REGB_ADDR_0305	  	0x05
#define	REGB_ADDR_0306	  	0x06
#define	REGB_ADDR_0307     	0x07
#define	REGB_ADDR_0308	  	0x08
#define	REGB_ADDR_0309	  	0x09
#define	REGB_ADDR_030A	  	0x0A
#define	REGB_ADDR_030B	  	0x0B
#define	REGB_ADDR_030C	  	0x0C    //N0_Update
#define	REGB_ADDR_030D	  	0x0D
#define	REGB_ADDR_030E	    0x0E
#define	REGB_ADDR_030F	  	0x0F
#define	REGB_ADDR_0310	  	0x10
#define	REGB_ADDR_0311	  	0x11
#define	REGB_ADDR_0312     	0x12
#define	REGB_ADDR_0313	  	0x13
#define	REGB_ADDR_0314	  	0x14
#define	REGB_ADDR_0315	    0x15
#define	REGB_ADDR_0316	  	0x16
#define	REGB_ADDR_0317	  	0x17    //N1_Update
#define	REGB_ADDR_0318	  	0x18
#define	REGB_ADDR_0319	  	0x19
#define	REGB_ADDR_031A	  	0x1A
#define	REGB_ADDR_031B	  	0x1B
#define	REGB_ADDR_031C	  	0x1C
#define	REGB_ADDR_031D     	0x1D
#define	REGB_ADDR_031E	  	0x1E
#define	REGB_ADDR_031F	  	0x1F
#define	REGB_ADDR_0320	  	0x20
#define	REGB_ADDR_0321	  	0x21
#define	REGB_ADDR_0322	  	0x22    //N2_Update
#define	REGB_ADDR_0323	  	0x23
#define	REGB_ADDR_0324	  	0x24
#define	REGB_ADDR_0325	    0x25
#define	REGB_ADDR_0326	  	0x26
#define	REGB_ADDR_0327	  	0x27
#define	REGB_ADDR_0328     	0x28
#define	REGB_ADDR_0329	  	0x29
#define	REGB_ADDR_032A	    0x2A
#define	REGB_ADDR_032B	  	0x2B
#define	REGB_ADDR_032C	  	0x2C
#define	REGB_ADDR_032D	  	0x2D    //N3_Update
#define	REGB_ADDR_0338	  	0x38    //N_Update
#define	REGB_ADDR_0339     	0x39

#define	REGB_ADDR_090E     	0x0E
#define	REGB_ADDR_091C     	0x1C
#define	REGB_ADDR_0943     	0x43
#define	REGB_ADDR_0949     	0x49
#define	REGB_ADDR_094A     	0x4A

#define	REGB_ADDR_0A02     	0x02
#define	REGB_ADDR_0A03     	0x03
#define	REGB_ADDR_0A04     	0x04
#define	REGB_ADDR_0A05     	0x05

#define	REGB_ADDR_0B44     	0x44
#define	REGB_ADDR_0B4A      0x4A

//////////////////////////////////////////////////
/////////REGB  Value///////////////////////////////
#define	REGB_0018     	0xFF                             // LOSIN_INTR_MSK---1     LOSFB_IN_INTR_MSK---1
#define	REGB_0021     	0x0F                             // IN_SEL_REGBCTRL---1     IN_SEL---3 XA/XB

#define	REGB_0102     	0x01                             // OUTALL_DISABLE_LOW---1
//#define	REGB_0112     	{5'd0,1,OUT0_OE,0}
#define	REGB_0113     	0x09
#define	REGB_0114     	0x3D
#define	REGB_0115     	0x00//M0
//#define	REGB_0117     	{5'd0,0,OUT1_OE,0}
#define	REGB_0118       0x09
#define	REGB_0119       0x3D
#define	REGB_011A       0x01//N1
//#define	REGB_0126     	{5'd0,1,OUT2_OE,0}
#define	REGB_0127       0x09
#define	REGB_0128       0x3D
#define	REGB_0129       0x02//N2
//#define	REGB_012B     	{5'd0,1,OUT3_OE,0}
#define	REGB_012C     	0x09
#define	REGB_012D       0x3B
#define	REGB_012E     	0x00//N3
#define	REGB_0141     	0x40

//M=283.3333
#define	REGB_0235	 	0x00
#define	REGB_0236	 	0x00
#define	REGB_0237	 	0x00
#define	REGB_0238	 	0x80
#define	REGB_0239	 	0xD4
#define	REGB_023A     	0x00//M_NUM=0x00D480000000
#define	REGB_023B	 	0x00
#define	REGB_023C	 	0x00
#define	REGB_023D	 	0x00
#define	REGB_023E	 	0xC0//M_DEN=0xC0000000
/*
#define	REGB_0253     	R0_REG[7:0]
#define	REGB_0254     	R0_REG[15:8]
#define	REGB_0255     	R0_REG[23:16]
#define	REGB_0256	 	R1_REG[7:0]
#define	REGB_0257	 	R1_REG[15:8]
#define	REGB_0258	 	R1_REG[23:16]
#define	REGB_025F	 	R2_REG[7:0]
#define	REGB_0260	 	R2_REG[15:8]
#define	REGB_0261	 	R2_REG[23:16]
#define	REGB_0262	 	R3_REG[7:0]
#define	REGB_0263	 	R3_REG[15:8]
#define	REGB_0264	 	R3_REG[23:16]

#define	REGB_0302	 	N0_NUM[7:0]
#define	REGB_0303	 	N0_NUM[15:8]
#define	REGB_0304	 	N0_NUM[23:16]
#define	REGB_0305	 	N0_NUM[31:24]
#define	REGB_0306	 	N0_NUM[39:32]
#define	REGB_0307     	{4'd0,N0_NUM[43:40]}
#define	REGB_0308	  	N0_DEN[7:0]
#define	REGB_0309	   	N0_DEN[15:8]
#define	REGB_030A	   	N0_DEN[23:16]
#define	REGB_030B	   	N0_DEN[31:24]
#define	REGB_030D	   	N1_NUM[7:0]
#define	REGB_030E	   	N1_NUM[15:8]
#define	REGB_030F	   	N1_NUM[23:16]
#define	REGB_0310	   	N1_NUM[31:24]
#define	REGB_0311	   	N1_NUM[39:32]
#define	REGB_0312     	{4'd0,N1_NUM[43:40]}
#define	REGB_0313	   	N1_DEN[7:0]
#define	REGB_0314	   	N1_DEN[15:8]
#define	REGB_0315	   	N1_DEN[23:16]
#define	REGB_0316	   	N1_DEN[31:24]
#define	REGB_0318	   	N2_NUM[7:0]	;
#define	REGB_0319	   	N2_NUM[15:8]
#define	REGB_031A	   	N2_NUM[23:16]
#define	REGB_031B	   	N2_NUM[31:24]
#define	REGB_031C	   	N2_NUM[39:32]
#define	REGB_031D     	{4'd0,N2_NUM[43:40]}
#define	REGB_031E	   	N2_DEN[7:0]
#define	REGB_031F	   	N2_DEN[15:8]
#define	REGB_0320	   	N2_DEN[23:16]
#define	REGB_0321	   	N2_DEN[31:24]
#define	REGB_0323	   	N3_NUM[7:0]
#define	REGB_0324	   	N3_NUM[15:8]
#define	REGB_0325	   	N3_NUM[23:16]
#define	REGB_0326	   	N3_NUM[31:24]
#define	REGB_0327	   	N3_NUM[39:32]
#define	REGB_0328     	{4'd0,N3_NUM[43:40]}
#define	REGB_0329	   	N3_DEN[7:0]
#define	REGB_032A	   	N3_DEN[15:8]
#define	REGB_032B	   	N3_DEN[23:16]
#define	REGB_032C	   	N3_DEN[31:24]
#define	REGB_0339     	{3'd0,N3_NUM[4:0]}
*/

#define	REGB_090E     	0x02
#define	REGB_091C     	0x04
#define	REGB_0949     	0x00
#define	REGB_094A     	0x80

#define	REGB_0A03     	0x07
#define	REGB_0A04     	0x02
#define	REGB_0A05     	0x07

#define	REGB_0B44     	0x0F
#define	REGB_0B4A     	0x08


#define SI5340B_DeviceAddr   0xEE

typedef enum{
	SI5340_CASE0 = 0,
	SI5340_CASE1,
	SI5340_CASE2,
	SI5340_CASE3,
	SI5340_CASE4,
	SI5340_CASE5,
	SI5340_CASE6,
	SI5340_CASE7,
	SI5340_CASE8,
	SI5340_CASE9,
	SI5340_CASE10,
	SI5340_CASE11,
}SI5340B_FREQ_ID;

bool SI5340B_Config(SI5340B_FREQ_ID FreqID);
bool SI5340B_w_reg (alt_u8 reg_index, alt_u8 data8);
bool SI5340B_Config_Init();


#endif /* SI57X_CONFIG_H_ */
