// QDRII_467_D.v

// Generated using ACDS version 15.1 193

`timescale 1 ps / 1 ps
module QDRII_467_D (
		output wire        amm_ready_0,         //     ctrl_amm_avalon_slave_0.waitrequest_n
		input  wire        amm_read_0,          //                            .read
		input  wire [19:0] amm_address_0,       //                            .address
		output wire [71:0] amm_readdata_0,      //                            .readdata
		input  wire [4:0]  amm_burstcount_0,    //                            .burstcount
		input  wire [7:0]  amm_byteenable_0,    //                            .byteenable
		output wire        amm_readdatavalid_0, //                            .readdatavalid
		output wire        amm_ready_1,         //     ctrl_amm_avalon_slave_1.waitrequest_n
		input  wire        amm_write_1,         //                            .write
		input  wire [19:0] amm_address_1,       //                            .address
		input  wire [71:0] amm_writedata_1,     //                            .writedata
		input  wire [4:0]  amm_burstcount_1,    //                            .burstcount
		input  wire [7:0]  amm_byteenable_1,    //                            .byteenable
		output wire        emif_usr_clk,        //   emif_usr_clk_clock_source.clk
		output wire        emif_usr_reset_n,    // emif_usr_reset_reset_source.reset_n
		input  wire        global_reset_n,      //     global_reset_reset_sink.reset_n
		output wire [0:0]  mem_k,               //             mem_conduit_end.mem_k
		output wire [0:0]  mem_k_n,             //                            .mem_k_n
		input  wire [0:0]  mem_cq,              //                            .mem_cq
		input  wire [0:0]  mem_cq_n,            //                            .mem_cq_n
		output wire [19:0] mem_a,               //                            .mem_a
		output wire [1:0]  mem_bws_n,           //                            .mem_bws_n
		output wire [0:0]  mem_doff_n,          //                            .mem_doff_n
		output wire [0:0]  mem_rps_n,           //                            .mem_rps_n
		output wire [0:0]  mem_wps_n,           //                            .mem_wps_n
		output wire [17:0] mem_d,               //                            .mem_d
		input  wire [17:0] mem_q,               //                            .mem_q
		input  wire        oct_rzqin,           //             oct_conduit_end.oct_rzqin
		input  wire        pll_ref_clk,         //      pll_ref_clk_clock_sink.clk
		output wire        local_cal_success,   //          status_conduit_end.local_cal_success
		output wire        local_cal_fail       //                            .local_cal_fail
	);

	QDRII_467_D_altera_emif_151_yzghxby ddr3_inst (
		.emif_usr_reset_n    (emif_usr_reset_n),    // emif_usr_reset_reset_source.reset_n
		.emif_usr_clk        (emif_usr_clk),        //   emif_usr_clk_clock_source.clk
		.amm_ready_0         (amm_ready_0),         //     ctrl_amm_avalon_slave_0.waitrequest_n
		.amm_read_0          (amm_read_0),          //                            .read
		.amm_address_0       (amm_address_0),       //                            .address
		.amm_readdata_0      (amm_readdata_0),      //                            .readdata
		.amm_burstcount_0    (amm_burstcount_0),    //                            .burstcount
		.amm_byteenable_0    (amm_byteenable_0),    //                            .byteenable
		.amm_readdatavalid_0 (amm_readdatavalid_0), //                            .readdatavalid
		.amm_ready_1         (amm_ready_1),         //     ctrl_amm_avalon_slave_1.waitrequest_n
		.amm_write_1         (amm_write_1),         //                            .write
		.amm_address_1       (amm_address_1),       //                            .address
		.amm_writedata_1     (amm_writedata_1),     //                            .writedata
		.amm_burstcount_1    (amm_burstcount_1),    //                            .burstcount
		.amm_byteenable_1    (amm_byteenable_1),    //                            .byteenable
		.global_reset_n      (global_reset_n),      //     global_reset_reset_sink.reset_n
		.pll_ref_clk         (pll_ref_clk),         //      pll_ref_clk_clock_sink.clk
		.oct_rzqin           (oct_rzqin),           //             oct_conduit_end.oct_rzqin
		.mem_k               (mem_k),               //             mem_conduit_end.mem_k
		.mem_k_n             (mem_k_n),             //                            .mem_k_n
		.mem_cq              (mem_cq),              //                            .mem_cq
		.mem_cq_n            (mem_cq_n),            //                            .mem_cq_n
		.mem_a               (mem_a),               //                            .mem_a
		.mem_bws_n           (mem_bws_n),           //                            .mem_bws_n
		.mem_doff_n          (mem_doff_n),          //                            .mem_doff_n
		.mem_rps_n           (mem_rps_n),           //                            .mem_rps_n
		.mem_wps_n           (mem_wps_n),           //                            .mem_wps_n
		.mem_d               (mem_d),               //                            .mem_d
		.mem_q               (mem_q),               //                            .mem_q
		.local_cal_success   (local_cal_success),   //          status_conduit_end.local_cal_success
		.local_cal_fail      (local_cal_fail)       //                            .local_cal_fail
	);

endmodule
