// DDR3B.v

// Generated using ACDS version 15.1 193

`timescale 1 ps / 1 ps
module DDR3B (
		output wire         amm_ready_0,         //     ctrl_amm_avalon_slave_0.waitrequest_n
		input  wire         amm_read_0,          //                            .read
		input  wire         amm_write_0,         //                            .write
		input  wire [25:0]  amm_address_0,       //                            .address
		output wire [511:0] amm_readdata_0,      //                            .readdata
		input  wire [511:0] amm_writedata_0,     //                            .writedata
		input  wire [6:0]   amm_burstcount_0,    //                            .burstcount
		input  wire [63:0]  amm_byteenable_0,    //                            .byteenable
		output wire         amm_readdatavalid_0, //                            .readdatavalid
		output wire         emif_usr_clk,        //   emif_usr_clk_clock_source.clk
		output wire         emif_usr_reset_n,    // emif_usr_reset_reset_source.reset_n
		input  wire         global_reset_n,      //     global_reset_reset_sink.reset_n
		output wire [0:0]   mem_ck,              //             mem_conduit_end.mem_ck
		output wire [0:0]   mem_ck_n,            //                            .mem_ck_n
		output wire [15:0]  mem_a,               //                            .mem_a
		output wire [2:0]   mem_ba,              //                            .mem_ba
		output wire [0:0]   mem_cke,             //                            .mem_cke
		output wire [0:0]   mem_cs_n,            //                            .mem_cs_n
		output wire [0:0]   mem_odt,             //                            .mem_odt
		output wire [0:0]   mem_reset_n,         //                            .mem_reset_n
		output wire [0:0]   mem_we_n,            //                            .mem_we_n
		output wire [0:0]   mem_ras_n,           //                            .mem_ras_n
		output wire [0:0]   mem_cas_n,           //                            .mem_cas_n
		inout  wire [7:0]   mem_dqs,             //                            .mem_dqs
		inout  wire [7:0]   mem_dqs_n,           //                            .mem_dqs_n
		inout  wire [63:0]  mem_dq,              //                            .mem_dq
		output wire [7:0]   mem_dm,              //                            .mem_dm
		input  wire         oct_rzqin,           //             oct_conduit_end.oct_rzqin
		input  wire         pll_ref_clk,         //      pll_ref_clk_clock_sink.clk
		output wire         local_cal_success,   //          status_conduit_end.local_cal_success
		output wire         local_cal_fail       //                            .local_cal_fail
	);

	DDR3B_altera_emif_151_gfwlwmi emif_0 (
		.emif_usr_reset_n    (emif_usr_reset_n),    // emif_usr_reset_reset_source.reset_n
		.emif_usr_clk        (emif_usr_clk),        //   emif_usr_clk_clock_source.clk
		.global_reset_n      (global_reset_n),      //     global_reset_reset_sink.reset_n
		.pll_ref_clk         (pll_ref_clk),         //      pll_ref_clk_clock_sink.clk
		.oct_rzqin           (oct_rzqin),           //             oct_conduit_end.oct_rzqin
		.mem_ck              (mem_ck),              //             mem_conduit_end.mem_ck
		.mem_ck_n            (mem_ck_n),            //                            .mem_ck_n
		.mem_a               (mem_a),               //                            .mem_a
		.mem_ba              (mem_ba),              //                            .mem_ba
		.mem_cke             (mem_cke),             //                            .mem_cke
		.mem_cs_n            (mem_cs_n),            //                            .mem_cs_n
		.mem_odt             (mem_odt),             //                            .mem_odt
		.mem_reset_n         (mem_reset_n),         //                            .mem_reset_n
		.mem_we_n            (mem_we_n),            //                            .mem_we_n
		.mem_ras_n           (mem_ras_n),           //                            .mem_ras_n
		.mem_cas_n           (mem_cas_n),           //                            .mem_cas_n
		.mem_dqs             (mem_dqs),             //                            .mem_dqs
		.mem_dqs_n           (mem_dqs_n),           //                            .mem_dqs_n
		.mem_dq              (mem_dq),              //                            .mem_dq
		.mem_dm              (mem_dm),              //                            .mem_dm
		.local_cal_success   (local_cal_success),   //          status_conduit_end.local_cal_success
		.local_cal_fail      (local_cal_fail),      //                            .local_cal_fail
		.amm_ready_0         (amm_ready_0),         //     ctrl_amm_avalon_slave_0.waitrequest_n
		.amm_read_0          (amm_read_0),          //                            .read
		.amm_write_0         (amm_write_0),         //                            .write
		.amm_address_0       (amm_address_0),       //                            .address
		.amm_readdata_0      (amm_readdata_0),      //                            .readdata
		.amm_writedata_0     (amm_writedata_0),     //                            .writedata
		.amm_burstcount_0    (amm_burstcount_0),    //                            .burstcount
		.amm_byteenable_0    (amm_byteenable_0),    //                            .byteenable
		.amm_readdatavalid_0 (amm_readdatavalid_0)  //                            .readdatavalid
	);

endmodule
